<?php

namespace App\Http\Controllers\Api;

use App\Models\Load;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Http\Resources\LoadResource;
use Illuminate\Support\Facades\Validator;


class DriverController extends Controller
{

    public function getDriverLoads()
    {
        $driver = auth()->user();
        $load = Load::where('driver_id', $driver->id)->get();
        return response()->json(LoadResource::collection($load));

    }

    public function loadStatusUpdate(Request $request, $id)
    {
        $validate = Validator::make($request->all(), [
            'status' => 'required',
        ]);
        if ($validate->fails()) {
            return response()->json([
                'status' => 'failed',
                'message' => 'Validation Error!',
                'data' => $validate->errors(),
            ], 403);
        }

        $driver = auth()->user();
        $load = Load::where('id', $id)->where('driver_id', $driver->id)->first();
        if($load){
            $load->status = $request->status;
            $load->save();
            return new LoadResource($load);
        }else{
            return response()->json(["message"=>'Record Not Found'] ,404);
        }
    }

    public function updateLoadLocation(Request $request, $id){
        $request->validate([
            'lat' => 'required',
            'long' => 'required',
        ]);
        $driver = auth()->user();
        $load = Load::where('id', $id)->where('driver_id', $driver->id)->first();
        if($load){
             $load->lat = $request->lat;
             $load->long = $request->long;
             $load->save();
            return new LoadResource($load);
        }else{
            return response()->json(["message"=>'Record Not Found'] ,404);
        }
    }


}
