<?php

namespace App\Http\Controllers\Api;

use App\Models\User;
use App\Models\Driver;
use Illuminate\Http\Request;
use Illuminate\Validation\Rule;
use App\Http\Controllers\Controller;
use App\Http\Resources\UserResource;
use Illuminate\Support\Facades\Validator;


class ProfileController extends Controller
{
    public function show(){
        $user = auth()->user();
        $row = new UserResource($user);
        return response()->json($row,200);
    }
    public function update(Request $request)
    {
        $validate = Validator::make($request->all(), [
            'name' => ['required', 'string'],
            'email' => ['required', 'email', Rule::unique('users')->ignore(auth()->user())],
        ]);
        if ($validate->fails()) {
            return response()->json([
                'status' => 'failed',
                'message' => 'Validation Error!',
                'data' => $validate->errors(),
            ], 403);
        }

        $requestData= $request->except(['_token']);
        $user = User::findOrFail(auth()->user()->id);
        if (!empty($requestData['password'])) {
            $validated = $request->validate([
                'password' => 'required|string|min:8|confirmed',
            ]);
            $requestData['password'] = bcrypt($requestData['password']);
        } else {
            unset($requestData['password']);
        }
        unset($requestData['avatar']);
        if($request->hasFile('avatar')){
            $requestData['avatar']=storeFile(request('avatar'), 'storage/user');
        }
        $user->update($requestData);
        $driver= Driver::where('user_id',$user->id)->first();
        $driver->name=$request->name;
        $driver->name=$request->email;
        $driver->phone=$request->phone;
        $driver->dob=$request->dob;
        $driver->city=$request->city;
        $driver->state=$request->state;
        $driver->zipcode = $request->zipcode;
        $driver->address=$request->address;
        $driver->save();
        $row = new UserResource($user);
        return response()->json($row,200);
    }
}
