<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Driver;
use App\Models\DriverPayroll;
class DriverPayrollController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
       $driverPayrolls = DriverPayroll::all();
    //    dd($driverPayrolls);
        return view('driver-payroll.index', compact('driverPayrolls'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        $drivers = Driver::all();
        return view('driver-payroll.create', compact('drivers'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        // dd($request);
        $request->validate([
            'driver_id' => 'required',
            'partner' => 'required',
            'data_range_from' => 'required',
            'data_range_to' => 'required',
            'active' => 'required',
        ]);

        DriverPayroll::create($request->all());

        return redirect()->route('driver-payroll.index')->with('success', 'Driver payroll created successfully.');
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        $driverPayroll = DriverPayroll::findOrFail($id);
        $drivers = Driver::all(); // Retrieve drivers data
        return view('driver-payroll.create', compact('driverPayroll', 'drivers'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        $request->validate([
            'driver_id' => 'required',
            'partner' => 'required',
            'data_range_from' => 'required',
            'data_range_to' => 'required',
            'active' => 'required',
        ]);
        $driverPayroll = DriverPayroll::findOrFail($id);
        $driverPayroll->update($request->all());

        return redirect()->route('driver-payroll.index')->with('success', 'Driver payroll updated successfully.');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        
        $driverPayroll = DriverPayroll::findOrFail($id);
        $driverPayroll->delete();

        return redirect()->route('driver-payroll.index')->with('success', 'Driver payroll deleted successfully.');
    }
}
