<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\importantTemplate;

class ImportantTemplateController extends Controller
{
    protected $created_by;
    public function __construct()
    {
        $this->middleware(function ($request, $next) {
            $this->created_by = auth()->user()->id;
            return $next($request);
        });
    }
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $importantTemplates = importantTemplate::where('created_by', $this->created_by)->latest()->get();
        return view('important-template.index', compact('importantTemplates'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('important-template.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        // dd($request);
        $request->validate([
            'template_name' => 'required',
            'fuel_provider' => 'required',
            'source_document' => 'required',
            'column_headers' => 'required',
        ]);

        importantTemplate::create($request->all());
        return redirect()->route('important-templates.index')->with('success', 'Important Template created successfully.');
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        $importantTemplate = importantTemplate::where('created_by', $this->created_by)->where('id', $id)->first();
        return view('important-template.create', compact('importantTemplate'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        $request->validate([
            'template_name' => 'required',
            'fuel_provider' => 'required',
            'source_document' => 'required',
            'column_headers' => 'required',
        ]);
        $importantTemplate = importantTemplate::where('created_by', $this->created_by)->where('id', $id)->first();
        $importantTemplate->update($request->all());
        return redirect()->route('important-templates.index')->with('success', 'Important Template updated successfully.');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $importantTemplate = importantTemplate::where('created_by', $this->created_by)->where('id', $id)->first();
        if ($importantTemplate) {
            $importantTemplate->delete();
            return redirect()->route('important-templates.index')->with('success', 'ImprtantTemplate deleted successfully.');
        } else {
            return redirect()->route('important-templates.index')->with('error', 'Record Not Found.');
        }
    }
}
