<?php

namespace App\Http\Controllers;

use App\Models\Customer;
use App\Models\Vendor;
use Illuminate\Http\Request;

class PartnerController extends Controller
{
    protected $created_by;
    /**
     * Display a listing of the resource.
     */
    public function __construct()
    {
        $this->middleware(function ($request, $next) {
            $this->created_by = auth()->user()->id;
            return $next($request);
        });
    }
    public function index(){
        $customers = Customer::where('created_by', $this->created_by)->latest()->get();
        $vendors =  Vendor::where('created_by', $this->created_by)->latest()->get();
        return view('partners.index',compact('customers','vendors'));
    }
}
