<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class LoadResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'load_id' => $this->id,
           'driver' => new DriverResource($this->driver),
           'trailer' => new TrailerResource($this->trailer),
           'truck' => new TruckResource($this->truck),
            'status' => $this->status,
            'billing_status' => $this->billing_status,
            'dispatcher' => $this->dispatcher,
            'pickup_date' => $this->pickup_date,
            'pickup_city' => $this->pickup_city,
            'pickup_state' => $this->pickup_state,
            'pickup_zipcode' => $this->pickup_zipcode,
            'delivery_date' => $this->delivery_date,
            'delivery_city' => $this->delivery_city,
            'delivery_state' => $this->delivery_state,
            'delivery_zipcode' => $this->delivery_zipcode,
            'broker_state' => $this->broker_state,
            'broker_po' => $this->broker_po,
            'broker_rate' => $this->broker_rate,
            'lat' => $this->lat,
            'long' => $this->long,
            'pick_up_address' => $this->pick_up_address,
            'pick_up_lat' => $this->pick_up_lat,
            'pick_up_long' => $this->pick_up_long,
            'drop_Off_address' => $this->drop_Off_address,
            'drop_Off_lat' => $this->drop_Off_lat,
            'drop_Off_long' => $this->drop_Off_long,
            'notes' => $this->notes,
        ];
    }
}
