<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'id'    => $this->id,
            'name'  => $this->name,
            'address'  => $this->driver->address,
            'email' => $this->email,
            'phone' => $this->driver->phone,
            'dob' => $this->driver->dob,
            'city' => $this->driver->city,
            'state' => $this->driver->state,
            'zipcode' => $this->driver->zipcode,
            'avatar' => url('/') . '/' . $this->image,
            'created_at' => $this->created_at,
        ];
    }
}
