<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;
use Laravel\Cashier\Invoice;

class SubscriptionInvoice extends Mailable
{
    use Queueable, SerializesModels;

    public $invoice;
    public $user;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($invoice, $user)
    {
        $this->invoice = $invoice;
        $this->user = $user;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject('Your Subscription Invoice')
                    ->markdown('emails.subscription_invoice')
                    ->with([
                        'invoiceNumber' => $this->invoice->number,
                        'invoiceDate' => $this->invoice->date()->toFormattedDateString(),
                        'total' => $this->invoice->total(),
                        'userName' => $this->user->name,
                    ]);
    }
}
