<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('trucks', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('created_by');
            $table->string('unit');
            $table->string('vin');
            $table->string('eld_provider');
            $table->string('eld_id');
            $table->string('year');
            $table->string('make');
            $table->string('model');
            $table->string('ownership');
            $table->string('driver');
            $table->string('plate');
            $table->string('plate_state');
            $table->string('purchase_date');
            $table->float('purchase_price');
            $table->longText('notes');
            $table->longText('history');
            $table->foreign('created_by')->references('id')->on('users')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('trucks');
    }
};
