<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('fuel_transactions', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('created_by');
            $table->unsignedBigInteger('driver_id');
            $table->unsignedBigInteger('trailer_id')->nullable();
            $table->unsignedBigInteger('truck_id')->nullable();
            $table->unsignedBigInteger('fule_card_id');
            $table->string('equipment_owner');
            $table->string('product_code');
            $table->string('date');
            $table->decimal('amount');
            $table->string('units');
            $table->string('city');
            $table->string('state');
            $table->string('zipcode');
            $table->longText('notes');
            $table->foreign('created_by')->references('id')->on('users')->onDelete('cascade');
            $table->foreign('driver_id')->references('id')->on('drivers')->onDelete('cascade');
            $table->foreign('trailer_id')->references('id')->on('trailers')->onDelete('set null');
            $table->foreign('truck_id')->references('id')->on('trucks')->onDelete('set null');
            $table->foreign('fule_card_id')->references('id')->on('fuel_cards')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('fuel_transactions');
    }
};
