<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('loads', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('created_by');
            $table->unsignedBigInteger('driver_id');
            $table->unsignedBigInteger('trailer_id')->nullable();
            $table->unsignedBigInteger('truck_id')->nullable();
            $table->string('status')->nullable();
            $table->string('billing_status')->nullable();
            $table->string('dispatcher')->nullable();
            $table->string('pickup_date');
            $table->string('pickup_city');
            $table->string('pickup_state');
            $table->string('pickup_zipcode');
            $table->string('delivery_date');
            $table->string('delivery_city');
            $table->string('delivery_state');
            $table->string('delivery_zipcode');
            $table->string('broker_state');
            $table->string('broker_po');
            $table->string('broker_rate');
            $table->string('pick_up_address');
            $table->string('lat')->nullable();
            $table->string('long')->nullable();
            $table->string('pick_up_lat');
            $table->string('pick_up_long');
            $table->string('drop_Off_address');
            $table->string('drop_Off_lat');
            $table->string('drop_Off_long');
            $table->longText('notes');
            $table->string('attachment_url')->nullable();
            $table->foreign('created_by')->references('id')->on('users')->onDelete('cascade');
            $table->foreign('driver_id')->references('id')->on('users')->onDelete('cascade');
            $table->foreign('trailer_id')->references('id')->on('trailers')->onDelete('set null');
            $table->foreign('truck_id')->references('id')->on('trucks')->onDelete('set null');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('loads');
    }
};
