<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('customers', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('created_by');
            $table->string('image')->nullable();
            $table->string('name');
            $table->string('address');
            $table->string('address_line_2')->nullable();
            $table->string('phone');
            $table->string('email');
            $table->string('city');
            $table->string('state');
            $table->string('zipcode');
            $table->string('fid');
            $table->string('mc');
            $table->string('notes');
            $table->string('broker_checkbox')->default(false);
            $table->string('shipper_checkbox')->default(false);
            $table->string('billing_type');
            $table->float('fee');
            $table->float('credit');
            $table->integer('avg_days');
            $table->string('status');
            $table->string('payterms');
            $table->foreign('created_by')->references('id')->on('users')->onDelete('cascade');  
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('customers');
    }
};
