@extends('layouts.master')
@section('title')
Companies
@endsection

@section('css')
<!--datatable css-->
<link href="https://cdn.datatables.net/1.11.5/css/dataTables.bootstrap5.min.css" rel="stylesheet" type="text/css" />
<!--datatable responsive css-->
<link href="https://cdn.datatables.net/responsive/2.2.9/css/responsive.bootstrap.min.css" rel="stylesheet"
    type="text/css" />
@endsection
@section('content')

        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between">
                        <h2 class="mb-0">Companies</h2>
                    </div>
                    <div class="card-body">
                        <table id="example" class="table table-bordered dt-responsive nowrap table-striped align-middle"
                            style="width:100%">
                            <thead>
                                <tr>
                                    <th scope="col" style="width: 10px;">
                                        #
                                      </th>
                                    <th>Full Name</th>
                                    <th>Email</th>
                                     <th>Image</th>
                                    {{--<th>DOB</th>
                                    <th>Address</th>
                                    <th>City</th>
                                    <th>State</th>
                                    <th>Status</th>
                                    <th>Action</th> --}}


                                </tr>
                            </thead>
                            <tbody>
                                @foreach($users as $key=> $user)
                                    <tr>

                                        <th scope="row">
                                            {{$key+1}}
                                        </th>
                                        <td>{{ $user->name }}</td>
                                        <td>{{ $user->email }}</td>
                                        <td><img src="{{$user->image}}" width="50px" height="50px" alt=""></td>
                                         {{--<td>{{ $user->driver->dob }}</td>
                                        <td>{{ $user->driver->address }}</td>
                                        <td>{{ $user->driver->city }}</td>
                                        <td>{{ $user->driver->state }}</td>
                                        <td>{{ $user->driver->status }}</td>
                                        <td>
                                            <div class="dropdown d-inline-block">
                                                <button class="btn btn-soft-secondary btn-sm dropdown-toggle"
                                                    type="button" data-bs-toggle="dropdown" aria-expanded="false">
                                                    <i class="ri-more-2-fill align-middle"></i>
                                                </button>
                                                <ul class="dropdown-menu dropdown-menu-end">
                                                    <li><a href="{{ route('drivers.edit', $user->id) }}"
                                                            class="dropdown-item"><i
                                                                class="ri-pencil-fill align-bottom me-2 text-muted"></i>
                                                            Edit</a></li>
                                                    <li>
                                                        <form
                                                            action="{{ route('drivers.destroy', $user->id) }}"
                                                            method="POST" class="dropdown-item">
                                                            @csrf
                                                            @method('DELETE')
                                                            <button onclick="return confirm('Are you sure you want to delete this record?')" type="submit" class="btn btn-link">
                                                                <i
                                                                    class="ri-delete-bin-fill align-bottom me-2 text-muted"></i>
                                                                Delete
                                                            </button>
                                                        </form>
                                                    </li>
                                                </ul>
                                            </div>
                                        </td> --}}
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        @endsection
        @section('script')

        <script src="https://code.jquery.com/jquery-3.6.0.min.js"
            integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/1.11.5/js/dataTables.bootstrap5.min.js"></script>
        <script src="https://cdn.datatables.net/responsive/2.2.9/js/dataTables.responsive.min.js"></script>
        <script src="{{ URL::asset('build/js/pages/datatables.init.js') }}"></script>
        <script src="{{ URL::asset('build/js/app.js') }}"></script>

        @endsection
