@extends('layouts.master')
@section('title')
Subscriptions
@endsection

@section('css')
<!--datatable css-->
<link href="https://cdn.datatables.net/1.11.5/css/dataTables.bootstrap5.min.css" rel="stylesheet" type="text/css" />
<!--datatable responsive css-->
<link href="https://cdn.datatables.net/responsive/2.2.9/css/responsive.bootstrap.min.css" rel="stylesheet"
    type="text/css" />
@endsection
@section('content')

        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between">
                        <h2 class="mb-0">Subscriptions</h2>
                    </div>
                    <div class="card-body">
                        <table id="example" class="table table-bordered dt-responsive nowrap table-striped align-middle"
                            style="width:100%">
                            <thead>
                                <tr>
                                    <th scope="col" style="width: 10px;">
                                        #
                                    </th>
                                      <th>Company Name</th>
                                      <th>Company Email</th>
                                      <th>Plan</th>
                                      <th>Start Date</th>
                                      <th>End Date</th>
                                      <th>Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($subscriptions as $key=> $subscription)
                                <tr>
                                    <td>{{$key+1}}</td>
                                    <td>{{ $subscription->user->name }}</td>
                                    <td>{{ $subscription->user->email }}</td>
                                    <td>{{ $subscription->stripe_price== config('cashier.monthly')? "Monthly":"Yearly" }}</td>
                                    <td>{{ $subscription->created_at->toFormattedDateString() }}</td>
                                    <td>{{ $subscription->ends_at ? $subscription->ends_at->toFormattedDateString() : 'N/A' }}</td>
                                    <td>{{ $subscription->active() ? 'Active' : 'Inactive' }}</td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        @endsection
        @section('script')

        <script src="https://code.jquery.com/jquery-3.6.0.min.js"
            integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

        <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/1.11.5/js/dataTables.bootstrap5.min.js"></script>
        <script src="https://cdn.datatables.net/responsive/2.2.9/js/dataTables.responsive.min.js"></script>
        <script src="{{ URL::asset('build/js/pages/datatables.init.js') }}"></script>
        <script src="{{ URL::asset('build/js/app.js') }}"></script>

        @endsection
