@extends('layouts.master-without-nav')
@section('title')
    @lang('translation.signin')
@endsection
@section('content')



        <!-- auth page content -->
        <div class="auth-page-content">
            <div class="container-fluid">
                <!-- <div class="row">
                                <div class="col-lg-12">
                                    <div class="text-center mt-sm-5 mb-4 text-white-50">
                                        <div>
                                            <a href="index" class="d-inline-block auth-logo">
                                                <img src="{{ URL::asset('build/images/logo-light.png') }}" alt=""
                                                    height="20">
                                            </a>
                                        </div>
                                        <p class="mt-3 fs-15 fw-medium">Premium Admin & Dashboard Template</p>
                                    </div>
                                </div>
                            </div> -->
                <!-- end row -->


                <div class="row full-height">

                    <!-- Left Column with Background Color and Logo -->
                    <div class="col-md-7 bg-grey d-flex justify-content-center align-items-center">
                        <img src="{{ URL::asset('build/images/fleet-logo.png') }}" alt="Logo" class="img-fluid">
                    </div>

                    <div class="col-md-5 bg-white justify-content-center align-items-center d-flex">
                        <div class="p-4 w-80">
                            <div class="m-2">
                                <h3 class="text-dark">Welcome Back !</h3>
                                <p class="text-muted">Login to your account</p>
                            </div>
                            <div class="p-2 mt-4">
                                <form action="{{ route('login') }}" method="POST">
                                    @csrf
                                    <div class="mb-3">
                                        <label for="username" class="form-label">Email</label>
                                        <input type="text"
                                            class="input-css form-control @error('email') is-invalid @enderror"
                                            value="{{ old('email') }}" id="username"
                                            name="email" placeholder="Enter username">
                                        @error('email')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>

                                    <div class="mb-3">
                                        <label class="form-label" for="password-input">Password</label>
                                        <div class="position-relative auth-pass-inputgroup mb-3">
                                            <input type="password"
                                                class="input-css form-control pe-5 password-input @error('password') is-invalid @enderror"
                                                name="password" placeholder="Enter password" id="password-input"
                                                value="">
                                            <button
                                                class="btn btn-link position-absolute end-0 top-0 text-decoration-none text-muted password-addon"
                                                type="button" id="password-addon"><i
                                                    class="ri-eye-fill align-middle"></i></button>
                                            @error('password')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="mb-4 float-end">
                                        <a href="{{ route('password.update') }}" class="text-muted">Forgot
                                            password?</a>
                                    </div>

                                    <div class="mt-4">
                                        <button class="btn w-100 button-css text-white" type="submit">Login</button>
                                    </div>

                                </form>
                            </div>
                            <div class="mt-4 text-center">
                                <p class="mb-0">Don't have an account ? <a href="/register"
                                        class="fw-semibold text-primary text-decoration-underline"> Signup </a>
                                </p>
                            </div>

                        </div>
                    </div>


                </div>
                <!-- end row -->
            </div>
            <!-- end container-fluid -->
        </div>
        <!-- end auth page content -->

        <!-- footer -->
        <!-- <footer class="footer">
                        <div class="container">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="text-center">
                                        <p class="mb-0 text-muted">&copy;
                                            <script>
                                                document.write(new Date().getFullYear())
                                            </script> Velzon. Crafted with <i class="mdi mdi-heart text-danger"></i> by
                                            Themesbrand
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </footer> -->
        <!-- end Footer -->

@endsection
@section('script')
    <script src="{{ URL::asset('build/libs/particles.js/particles.js') }}"></script>
    <script src="{{ URL::asset('build/js/pages/particles.app.js') }}"></script>
    <script src="{{ URL::asset('build/js/pages/password-addon.init.js') }}"></script>
@endsection
