@extends('layouts.master-without-nav')
@section('title')
    @lang('translation.signup')
@endsection
@section('content')
    <!-- auth page content -->
    <div class="auth-page-content">

        <!--  container-fluid-->
        <div class="container-fluid">
            <div class="row full-height">

                <!-- Left Column with Background Color and Logo -->
                <div class="col-md-7 bg-grey d-flex justify-content-center align-items-center">
                    <img src="{{ URL::asset('build/images/fleet-logo.png') }}" alt="Logo" class="img-fluid">
                </div>

                <div class="col-md-5 bg-white justify-content-center align-items-center d-flex">
                    <div class="p-4 w-80">
                        <div class="m-2">
                            <h3 class="text-dark">Sign up!</h3>
                            <p class="text-muted">Create your new account</p>
                        </div>
                        <div class="p-2 mt-4">
                            <form class="needs-validation" novalidate method="POST" action="{{ route('register') }}"
                                enctype="multipart/form-data">
                                @csrf
                                <div class="mb-3">
                                    <label for="username" class="form-label">Name</label>
                                    <input type="text" class="input-css form-control @error('name') is-invalid @enderror"
                                        name="name" value="{{ old('name') }}" id="username"
                                        placeholder="Enter username" required>
                                    @error('name')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                    <div class="invalid-feedback">
                                        Please enter username
                                    </div>
                                </div>
                                <div class="mb-3">
                                    <label for="useremail" class="form-label">Email</label>
                                    <input type="email"
                                        class="input-css form-control @error('email') is-invalid @enderror" name="email"
                                        value="{{ old('email') }}" id="useremail" placeholder="Enter email address"
                                        required>
                                    @error('email')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                    <div class="invalid-feedback">
                                        Please enter email
                                    </div>
                                </div>

                                <div class="mb-3">
                                    <label for="userpassword" class="form-label">Password</label>
                                    <input type="password"
                                        class="input-css form-control @error('password') is-invalid @enderror"
                                        name="password" id="userpassword" placeholder="Enter password" required>
                                    @error('password')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                    <div class="invalid-feedback">
                                        Please enter password
                                    </div>
                                </div>
                                <div class="mb-3">
                                    <label for="input-password">Confirm Password</label>
                                    <input type="password"
                                        class="input-css form-control @error('password_confirmation') is-invalid @enderror"
                                        name="password_confirmation" id="input-password"
                                        placeholder="Enter Confirm Password" required>

                                    <div class="form-floating-icon">
                                        <i data-feather="lock"></i>
                                    </div>
                                </div>

                                <div class="mt-3">
                                    <button class="btn btn-success button-css w-100" type="submit">Sign Up</button>
                                </div>
                            </form>
                        </div>
                        <div class="mt-4 text-center">
                            <p class="mb-0">Already joined? <a href="/login"
                                    class="fw-semibold text-primary text-decoration-underline"> Login </a>
                            </p>
                        </div>
                    </div>
                </div>
            </div>

            <!-- end row -->
        </div>
        <!-- end container-fluid -->
    </div>
    <!-- end auth page content -->
    <!-- footer -->
    <!-- <footer class="footer">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="text-center">
                        <script>
                            document.write(new Date().getFullYear())
                        </script> Velzon. Crafted with <i class="mdi mdi-heart text-danger"></i> by
                        Themesbrand</p>
                    </div>
                </div>
            </div>
        </div>
    </footer> -->
    <!-- end Footer -->
@endsection
@section('script')
    <script src="{{ URL::asset('build/libs/particles.js/particles.js') }}"></script>
    <script src="{{ URL::asset('build/js/pages/particles.app.js') }}"></script>
    <script src="{{ URL::asset('build/js/pages/form-validation.init.js') }}"></script>
@endsection
