@extends('layouts.master')

@section('content')
@section('title')
@lang('translation.driver-payroll')
@endsection
<div class="row">
    <div class="col-xxl-12 col-md-12 col-lg-12 col-md-6 col-sm-12">
        <form method="post"
            action="{{ isset($driverPayroll) ? route('driver-payroll.update', $driverPayroll->id) : route('driver-payroll.store') }}"
            class="row g-3">
            @csrf
            @if(isset($driverPayroll))
                @method('PUT')
            @endif
            <div class="row">
                <div class="col-md-6">
                    <label for="driver_id" class="form-label">Driver</label>
                    <select id="driver_id" name="driver_id" class="form-select" data-choices
                        data-choices-sorting="true">
                        @foreach($drivers as $driver)
                            <option value="{{ $driver->id }}"
                                {{ isset($driverPayroll) && $driverPayroll->driver_id == $driver->id ? 'selected' : '' }}>
                                {{ $driver->name }}
                            </option>
                        @endforeach
                    </select>
                </div>
                <div class="col-md-6">
                    <label for="inputCity" class="form-label">Partner</label>
                    <input type="text" class="form-control" name="partner"
                        value="{{ isset($driverPayroll) ? $driverPayroll->partner : '' }}">
                </div>
            </div>
            <div class="row mt-3">
                <h4>Does this Document Have Column Headers?</h4>
                <div class="col-md-6">
                    <label for="inputCity" class="form-label">Data Range: From</label>
                    <input type="text" class="form-control" name="data_range_from"
                        value="{{ isset($driverPayroll) ? $driverPayroll->data_range_from : '' }}">
                </div>
                <div class="col-md-6">
                    <label for="inputCity" class="form-label">Data Range: To</label>
                    <input type="text" class="form-control" name="data_range_to"
                        value="{{ isset($driverPayroll) ? $driverPayroll->data_range_to : '' }}">
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 mt-3 mb-3">
                    <div class="form-check">
                        <input class="form-check-input" type="radio" name="active" id="exampleRadios1" value="1"
                            {{ (isset($driverPayroll) && $driverPayroll->active) || (!isset($driverPayroll) && old('active') === '1') ? 'checked' : '' }}>
                        <label class="form-check-label" for="exampleRadios1">
                            by pickup date
                        </label>
                    </div>
                    <div class="form-check mt-3">
                        <input class="form-check-input" type="radio" name="active" id="exampleRadios2" value="0"
                            {{ (isset($driverPayroll) && !$driverPayroll->active) || (!isset($driverPayroll) && old('active') === '0') ? 'checked' : '' }}>
                        <label class="form-check-label" for="exampleRadios2">
                            by delivery date
                        </label>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-12">
                    <div class="text-start">
                        <button type="submit"
                            class="button-css btn btn-primary">{{ isset($driverPayroll) ? 'Update' : 'Apply' }}</button>
                    </div>
                </div>
            </div>
        </form>

    </div> <!-- end col -->
</div>
<!--end row-->

@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
