@extends('layouts.master')

@section('content')
@section('title')
@lang('translation.driver-payroll')
@endsection


<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header d-flex justify-content-between">
                <h2 class="mb-0">Driver Payroll</h2>
                <a class="button-css text-white" href="{{ route('driver-payroll.create') }}">New
                    Settlement</a>
            </div>
            <div class="card-body">
                <table id="example" class="table table-bordered dt-responsive nowrap table-striped align-middle"
                    style="width:100%">
                    <thead>
                        <tr>
                            <th scope="col" style="width: 10px;">
                               #
                            </th>
                           
                            <th>Partner</th>
                            <th>Data Range: From</th>
                            <th>Data Range: To</th>
                            <th>Pickup and Delivery</th>
                            <th>Status</th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach($driverPayrolls as $key=>$driverPayroll)
                            <tr>
                                <th scope="row">
                                    {{ $key+ 1 }}
                                </th>
                                <td>{{ $driverPayroll->partner }} </td>
                                <td>{{ $driverPayroll->data_range_from }} </td>
                                <td>{{ $driverPayroll->data_range_to }} </td>
                                <td>{{ $driverPayroll->active }} </td>
                                <td>
                                    <div class="dropdown d-inline-block">
                                        <button class="btn btn-soft-secondary btn-sm dropdown-toggle" type="button"
                                            data-bs-toggle="dropdown" aria-expanded="false">
                                            <i class="ri-more-2-fill align-middle"></i>
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-end" style="">
                                           
                                            <li><a href="{{ route('driver-payroll.edit', $driverPayroll->id) }}"
                                                    class="dropdown-item"><i
                                                        class="ri-pencil-fill align-bottom me-2 text-muted"></i>Edit</a>
                                            </li>
                                            <li>
                                                <form
                                                    action="{{ route('driver-payroll.destroy', $driverPayroll->id) }}"
                                                    method="POST" class="dropdown-item">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button onclick="return confirm('Are you sure you want to delete this record?')" type="submit" class="btn btn-link">
                                                        <i
                                                            class="ri-delete-bin-fill align-bottom me-2 text-muted"></i>Delete
                                                    </button>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>

                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>



@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
