@extends('layouts.master')
@section('title')
@lang('translation.drivers')
@endsection

@section('content')

    <!-- end row -->
    <div class="row">

        <div class="col-xxl-12 col-md-12 col-lg-12 col-md-6 col-sm-12">
            <form method="POST"
                action="{{ isset($user) ? route('drivers.update', $user->id) : route('drivers.store') }}"
                class="row g-3" enctype="multipart/form-data">
                @csrf
                @if(isset($user))
                    @method('PUT')
                @endif
                <div class="row">
                    <div class="col-lg-12">
                        <input class="form-control" name="avatar" type="file">
                        @if(isset($user) && $user->avatar)
                            <img class="w-10" src="{{asset('storage/driver/'. $user->avatar)}}" alt="">
                        @endif
                        <!-- end card -->
                    </div> <!-- end col -->
                </div>
                <div class="row">
                    <div class="col-md-4 mb-3">
                        <label for="name" class="form-label">Full Name</label>
                        <input type="text" class="form-control" name="name"
                            value="{{ isset($user) ? $user->name : '' }}">
                    </div>
                    <div class="col-md-4 mb-3">
                        <label for="email" class="form-label">Email</label>
                        <input type="email" class="form-control" name="email"
                            value="{{ isset($user) ? $user->email : '' }}">
                    </div>
                    <div class="col-md-4 mb-3">
                        <label for="phone" class="form-label">Phone</label>
                        <input type="number" class="form-control" name="phone"
                            value="{{ isset($user) ? $user->driver->phone : '' }}">
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4 mb-3">
                        <label for="dob" class="form-label">DOB</label>
                        <input type="datetime-local" class="form-control" name="dob"
                            value="{{ isset($user) ? $user->driver->dob : '' }}">
                    </div>
                    <div class="col-md-4 mb-3">
                        <label for="address" class="form-label">Address</label>
                        <input type="text" class="form-control" name="address"
                            value="{{ isset($user) ? $user->driver->address : '' }}">
                    </div>
                    <div class="col-md-4 mb-3">
                        <label for="city" class="form-label">City</label>
                        <input type="text" class="form-control" name="city"
                            value="{{ isset($user) ? $user->driver->city : '' }}">
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4 mb-3">
                        <label for="state" class="form-label">State</label>
                        <input type="text" class="form-control" name="state"
                            value="{{ isset($user) ? $user->driver->state : '' }}">
                </div>
                    <div class="col-md-4 mb-3">
                        <label for="zipcode" class="form-label">Zipcode</label>
                        <input type="text" class="form-control" name="zipcode"
                            value="{{ isset($user) ? $user->driver->zipcode : '' }}">
                    </div>
                    <div class="col-md-4 mb-3">
                        <label for="inputStatus" class="form-label">Status</label>
                        <select id="inputStatus" class="form-select" name="status" data-choices
                            data-choices-sorting="true">
                            <option value="1"
                                {{ isset($user) && $user->driver->status == 1 ? 'selected' : '' }}>
                                Active</option>
                            <option value="0"
                                {{ isset($user) && $user->driver->status == 0 ? 'selected' : '' }}>
                                Decline</option>
                        </select>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4 mb-3">
                        <label for="inputCity" class="form-label">Application Date</label>
                        <input type="datetime-local" class="form-control" name="application_date"
                            value="{{ isset($user) ? $user->driver->application_date : '' }}">
                    </div>
                    <div class="col-md-4 mb-3">
                        <label for="password" class="form-label">Password</label>
                        <input type="password" class="form-control" name="password">
                    </div>
                    <div class="col-md-4 mb-3">
                        <label for="password_confirmation" class="form-label">Confirm Password</label>
                        <input type="password" class="form-control" name="password_confirmation">
                    </div>
                    {{-- <div class="col-md-6 mb-3">
                        <label for="inputState" class="form-label">Trailer</label>
                        <select id="inputState" class="form-select" name="trailer_id" id="trailer_id" data-choices
                            data-choices-sorting="true">
                            <option selected></option>
                            @foreach($trailers as $trailer)
                            <option value="{{ $trailer->id }}" {{ isset($user) && $user->trailer_id == $trailer->id ? 'selected' : '' }}>{{ $trailer->unit }}</option>
                            @endforeach
                        </select>
                    </div> --}}
                </div>
                {{-- <div class="row">
                    <div class="col-12 mb-3">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" name="create_new_partner" id="invalidCheck2"
                                value="1"
                                {{ isset($user) && $user->create_new_partner == 1 ? 'checked' : '' }}>
                            <label class="form-check-label fw-bold" for="invalidCheck2"> Create New Partner</label>
                        </div>
                    </div>
                </div> --}}
                {{-- <div class="row">
                    <div class="col-md-4 mb-3">
                        <label for="inputState" class="form-label">Pay to</label>
                        <select id="inputState" class="form-select" name="pay_to" data-choices
                            data-choices-sorting="true">
                            <option value="john" {{ isset($user) && $user->pay_to == 'john' ? 'selected' : '' }}>John</option>
                            <option value="jack" {{ isset($user) && $user->pay_to == 'jack' ? 'selected' : '' }}>Jack</option>
                            <!-- Add other options as needed -->
                        </select>
                    </div>
                    <div class="col-md-4 mb-3">
                        <label for="zipcode" class="form-label">Co Driver</label>
                        <input type="text" class="form-control" name="co_driver"
                            value="{{ isset($user) ? $user->co_driver : '' }}">
                    </div>
                    <div class="col-md-4 mb-3">
                        <label for="inputStatus" class="form-label">Truck</label>
                        <select id="inputStatus" class="form-select" name="truck_id" id="truck_id" data-choices
                            data-choices-sorting="true">
                            <option selected></option>
                            @foreach($trucks as $truck)
                            <option value="{{ $truck->id }}" {{ isset($user) && $user->truck_id == $truck->id ? 'selected' : '' }}>{{ $truck->unit }}</option>
                            @endforeach
                        </select>
                    </div>
                </div> --}}
                <div class="col-12">
                    <div class="text-start">
                        <button type="submit" class="button-css btn btn-primary">
                            @if(isset($user))
                                Update Driver
                            @else
                                Create Driver
                            @endif
                        </button>
                    </div>
                </div>
            </form>

        </div> <!-- end col -->
    </div>
    <!-- end row -->
    @endsection
    @section('script')

    <script src="{{ URL::asset('build/js/app.js') }}"></script>
    @endsection
