@extends('layouts.master')
@section('title')
@lang('translation.drivers')
@endsection

@section('css')

@endsection
@section('content')

        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between">
                        <h2 class="mb-0">Drivers</h2>
                        <a class="button-css text-white" href="{{ route('drivers.create') }}">New
                            Driver</a>
                    </div>
                    <div class="card-body">
                        <table id="example" class="table table-bordered dt-responsive nowrap table-striped align-middle"
                            style="width:100%">
                            <thead>
                                <tr>
                                    <th scope="col" style="width: 10px;">
                                        #
                                      </th>
                                    <th>Full Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>DOB</th>
                                    <th>Address</th>
                                    <th>City</th>
                                    <th>State</th>
                                    <th>Status</th>
                                    <th>Action</th>


                                </tr>
                            </thead>
                            <tbody>
                                @foreach($users as $key=> $user)
                                    <tr>
                                        <th scope="row">
                                            {{$key+1}}
                                        </th>
                                        <td>{{ $user->name }}</td>
                                        <td>{{ $user->email }}</td>
                                        <td>{{ $user->driver->phone }}</td>
                                        <td>{{ $user->driver->dob }}</td>
                                        <td>{{ $user->driver->address }}</td>
                                        <td>{{ $user->driver->city }}</td>
                                        <td>{{ $user->driver->state }}</td>
                                        <td>{{ $user->driver->status }}</td>
                                        <td>
                                            <div class="dropdown d-inline-block">
                                                <button class="btn btn-soft-secondary btn-sm dropdown-toggle"
                                                    type="button" data-bs-toggle="dropdown" aria-expanded="false">
                                                    <i class="ri-more-2-fill align-middle"></i>
                                                </button>
                                                <ul class="dropdown-menu dropdown-menu-end">
                                                    <li><a href="{{ route('drivers.edit', $user->id) }}"
                                                            class="dropdown-item"><i
                                                                class="ri-pencil-fill align-bottom me-2 text-muted"></i>
                                                            Edit</a></li>
                                                    <li>
                                                        <form
                                                            action="{{ route('drivers.destroy', $user->id) }}"
                                                            method="POST" class="dropdown-item">
                                                            @csrf
                                                            @method('DELETE')
                                                            <button onclick="return confirm('Are you sure you want to delete this record?')" type="submit" class="btn btn-link">
                                                                <i
                                                                    class="ri-delete-bin-fill align-bottom me-2 text-muted"></i>
                                                                Delete
                                                            </button>
                                                        </form>
                                                    </li>
                                                </ul>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>



        @endsection
        @section('script')

        

        @endsection
