@extends('layouts.master')
@section('content')
<div class="row">
    <div class="col-xxl-12 col-md-12 col-lg-12 col-md-6 col-sm-12">
        <form method="post"
            action="{{ isset($expense) ? route('expenses.update', $expense->id) : route('expenses.store') }}"
            class="row g-3">
            @csrf
            @if(isset($expense))
                @method('PUT')
            @endif

            <div class="row">
                <div class="col-md-4">
                    <label for="date" class="form-label">Date</label>
                    <input type="datetime-local" class="form-control" id="date" name="date"
                        value="{{ isset($expense) ? $expense->date : old('date') }}">
                </div>
                <div class="col-md-4">
                    <label for="payTo" class="form-label">Pay to</label>
                    <input type="text" class="form-control" id="payTo" name="payTo"
                        value="{{ isset($expense) ? $expense->payTo : old('payTo') }}">
                </div>
                <div class="col-md-4">
                    <label for="amount" class="form-label">Amount</label>
                    <input type="text" class="form-control" id="amount" name="amount"
                        value="{{ isset($expense) ? $expense->amount : old('amount') }}">
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <label for="category" class="form-label">Category</label>
                    <input type="text" class="form-control" id="category" name="category"
                        value="{{ isset($expense) ? $expense->category : old('category') }}">
                </div>
                <div class="col-md-6">
                    <label for="notes" class="form-label">Notes</label>
                    <input type="text" class="form-control" id="notes" name="notes"
                        value="{{ isset($expense) ? $expense->notes : old('notes') }}">
                </div>
            </div>

            <div class="col-12">
                <div class="text-start">
                    <button type="submit"
                        class="button-css btn btn-primary">{{ isset($expense) ? 'Update' : 'Save' }}</button>
                </div>
            </div>
        </form>

    </div> <!-- end col -->
</div>
<!--end row-->

@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
