@extends('layouts.master')
@section('content')


<div class="row">
    <div class="col-xxl-12 col-md-12 col-lg-12 col-md-6 col-sm-12">
        <form method="post"
            action="{{ isset($fuelCard) ? route('fuel-cards.update', $fuelCard->id) : route('fuel-cards.store') }}"
            class="row g-3">
            @csrf
            @if(isset($fuelCard))
                @method('PUT')
            @endif

            <div class="col-md-4">
                <label for="inputCity" class="form-label">Card Number</label>
                <input type="text" class="form-control" name="card_number"
                    value="{{ isset($fuelCard) ? $fuelCard->card_number : '' }}">
            </div>
            <div class="col-md-4">
                <label for="inputCity" class="form-label">Expiration Date</label>
                <input type="datetime-local" class="form-control" name="expiration_date"
                    value="{{ isset($fuelCard) ? $fuelCard->expiration_date : '' }}">
            </div>
            <div class="col-md-4">
                <label for="inputTruck" class="form-label">Truck</label>
                <select id="inputStatus" class="form-select" name="truck_id" id="truck_id" data-choices
                    data-choices-sorting="true">
                    <option selected></option>
                    @foreach($trucks as $truck)
                        <option value="{{ $truck->id }}"
                            {{ isset($fuelCard) && $fuelCard->truck_id == $truck->id ? 'selected' : '' }}>
                            {{ $truck->unit }}</option>
                    @endforeach
                </select>
            </div>

            <div class="col-md-12 mt-3 mb-3">
                <h4>Active</h4>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="active" id="exampleRadios1" value="1"
                        {{ isset($fuelCard) && $fuelCard->active == '1' ? 'checked' : '' }}>
                    <label class="form-check-label" for="exampleRadios1">
                        Yes
                    </label>
                </div>
                <div class="form-check mt-3">
                    <input class="form-check-input" type="radio" name="active" id="exampleRadios2" value="0"
                        {{ isset($fuelCard) && $fuelCard->active == '0' ? 'checked' : '' }}>
                    <label class="form-check-label" for="exampleRadios2">
                        No
                    </label>
                </div>
            </div>

            <div class="col-md-12">
                <label for="inputCity" class="form-label">Notes</label>
                <input type="text" class="form-control" name="notes"
                    value="{{ isset($fuelCard) ? $fuelCard->notes : '' }}">
            </div>

            <div class="col-12">
                <div class="text-start">
                    <button type="submit"
                        class="button-css btn btn-primary">{{ isset($fuelCard) ? 'Update Card' : 'Create Card' }}</button>
                </div>
            </div>
        </form>

    </div> <!-- end col -->
</div>
<!--end row-->

@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
