@extends('layouts.master')
@section('content')


<div class="row">
    <div class="col-xxl-12 col-md-12 col-lg-12 col-md-6 col-sm-12">
        <form method="post"
            action="{{ isset($fuelTransaction) ? route('fuel-transactions.update', $fuelTransaction->id) : route('fuel-transactions.store') }}"
            class="row g-3">
            @csrf
            @if(isset($fuelTransaction))
                @method('PUT')
            @endif
            <div class="row">
                <!-- Driver -->
                <div class="col-md-4">
                    <label for="driver_id" class="form-label">Driver</label>
                    <select class="form-select" name="driver_id" id="driver_id" data-choices
                        data-choices-sorting="true">
                        <option selected disabled></option>
                        @foreach($drivers as $driver)
                            <option value="{{ $driver->id }}"
                                {{ isset($fuelTransaction) && $fuelTransaction->driver_id == $driver->id ? 'selected' : '' }}>
                                {{ $driver->name }}</option>
                        @endforeach
                    </select>
                </div>
                <!-- Equipment Owner -->
                <div class="col-md-4">
                    <label for="equipment_owner" class="form-label">Equipment Owner</label>
                    <input type="text" class="form-control" id="equipment_owner" name="equipment_owner"
                        value="{{ isset($fuelTransaction) ? $fuelTransaction->equipment_owner : '' }}">
                </div>
                <!-- Product Code -->
                <div class="col-md-4">
                    <label for="product_code" class="form-label">Product Code</label>
                    <input type="text" class="form-control" id="product_code" name="product_code"
                        value="{{ isset($fuelTransaction) ? $fuelTransaction->product_code : '' }}">
                </div>
            </div>
            <div class="row mt-3">
                <!-- Date -->
                <div class="col-md-4">
                    <label for="date" class="form-label">Date</label>
                    <input type="datetime-local" class="form-control" id="date" name="date"
                        value="{{ isset($fuelTransaction) ? $fuelTransaction->date : '' }}">
                </div>
                <!-- Amount -->
                <div class="col-md-4">
                    <label for="amount" class="form-label">Amount, $</label>
                    <input type="number" class="form-control" id="amount" name="amount"
                        value="{{ isset($fuelTransaction) ? $fuelTransaction->amount : '' }}">
                </div>
                <!-- Units -->
                <div class="col-md-4">
                    <label for="units" class="form-label">Units Gallons *</label>
                    <input type="text" class="form-control" id="units" name="units"
                        value="{{ isset($fuelTransaction) ? $fuelTransaction->units : '' }}">
                </div>
            </div>
            <div class="row mt-3">
                <!-- Truck -->
                <div class="col-md-4">
                    <label for="truck_id" class="form-label">Truck</label>
                    <select class="form-select" name="truck_id" id="truck_id" data-choices data-choices-sorting="true">
                        <option selected disabled></option>
                        @foreach($trucks as $truck)
                            <option value="{{ $truck->id }}"
                                {{ isset($fuelTransaction) && $fuelTransaction->truck_id == $truck->id ? 'selected' : '' }}>
                                {{ $truck->unit }}</option>
                        @endforeach
                    </select>
                </div>
                <!-- Trailer -->
                <div class="col-md-4">
                    <label for="trailer_id" class="form-label">Trailer</label>
                    <select class="form-select" name="trailer_id" id="trailer_id" data-choices
                        data-choices-sorting="true">
                        <option selected disabled></option>
                        @foreach($trailers as $trailer)
                            <option value="{{ $trailer->id }}"
                                {{ isset($fuelTransaction) && $fuelTransaction->trailer_id == $trailer->id ? 'selected' : '' }}>
                                {{ $trailer->unit }}</option>
                        @endforeach
                    </select>
                </div>
                <!-- Fuel Card -->
                <div class="col-md-4">
                    <label for="fule_card_id" class="form-label">Fuel Card</label>
                    <select class="form-select" name="fule_card_id" id="fule_card_id" data-choices
                        data-choices-sorting="true">
                        <option selected disabled></option>
                        @foreach($fuelCards as $fuelCard)
                            <option value="{{ $fuelCard->id }}"
                                {{ isset($fuelTransaction) && $fuelTransaction->fule_card_id == $fuelCard->id ? 'selected' : '' }}>
                                {{ $fuelCard->card_number }}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="row mt-3">
                <!-- City -->
                <div class="col-md-4">
                    <label for="city" class="form-label">City</label>
                    <input type="text" class="form-control" id="city" name="city"
                        value="{{ isset($fuelTransaction) ? $fuelTransaction->city : '' }}">
                </div>
                <!-- State -->
                <div class="col-md-4">
                    <label for="state" class="form-label">State</label>
                    <select class="form-select" id="state" name="state" data-choices data-choices-sorting="true">
                        <option>New York</option>
                        <option>Las Vegas</option>
                        <option>California</option>
                    </select>
                </div>
                <!-- Zipcode -->
                <div class="col-md-4">
                    <label for="zipcode" class="form-label">Zipcode</label>
                    <input type="text" class="form-control" id="zipcode" name="zipcode"
                        value="{{ isset($fuelTransaction) ? $fuelTransaction->zipcode : '' }}">
                </div>
            </div>
            <div class="row mt-3">
                <!-- Notes -->
                <div class="col-md-12">
                    <label for="notes" class="form-label">Notes</label>
                    <input type="text" class="form-control" id="notes" name="notes"
                        value="{{ isset($fuelTransaction) ? $fuelTransaction->notes : '' }}">
                </div>
            </div>
            <div class="col-12">
                <div class="text-start">
                    <button type="submit" class="button-css btn btn-primary">Create Transaction</button>
                </div>
            </div>
        </form>


    </div> <!-- end col -->
</div>
<!--end row-->

@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
