@extends('layouts.master')
@section('content')


<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header d-flex justify-content-between">
                <h2 class="mb-0">Fuel Transaction</h2>
                <a class="button-css text-white" href="{{ route('fuel-transactions.create') }}">New
                    Transaction</a>
            </div>
            <div class="card-body">
                <table id="example" class="table table-bordered dt-responsive nowrap table-striped align-middle"
                    style="width:100%">
                    <thead>
                        <tr>
                            <th scope="col" style="width: 10px;">
                                #
                            </th>
                            <th>Equipment Owner</th>
                            <th>Product Code</th>
                            <th>Date</th>
                            <th>Amount,$</th>
                            <th>Unit,Gallons*</th>
                            <th>Status</th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach( $fuelTransactions as  $key=>$fuelTransaction)
                            <tr>
                                <th scope="row">
                                    {{ $key + 1 }}
                                </th>
                                <td>{{ $fuelTransaction->equipment_owner }}</td>
                                <td>{{ $fuelTransaction->product_code }}</td>
                                <td>{{ $fuelTransaction->date }}</td>
                                <td>{{ $fuelTransaction->amount }}</td>
                                <td>{{ $fuelTransaction->units }}</td>

                                <td>
                                    <div class="dropdown d-inline-block">
                                        <button class="btn btn-soft-secondary btn-sm dropdown-toggle" type="button"
                                            data-bs-toggle="dropdown" aria-expanded="false">
                                            <i class="ri-more-2-fill align-middle"></i>
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-end" style="">
                                            <li><a href="{{ route('fuel-transactions.edit', $fuelTransaction->id) }}"
                                                    class="dropdown-item"><i
                                                        class="ri-pencil-fill align-bottom me-2 text-muted"></i>
                                                    Edit</a></li>
                                            <li>
                                                <form
                                                    action="{{ route('fuel-transactions.destroy', $fuelTransaction->id) }}"
                                                    method="POST" class="dropdown-item">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button onclick="return confirm('Are you sure you want to delete this record?')" type="submit" class="btn btn-link">
                                                        <i class="ri-delete-bin-fill align-bottom me-2 text-muted"></i>
                                                        Delete
                                                    </button>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>
                                </td>

                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>



@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
