@extends('layouts.master')
@section('title') @lang('translation.ifta') @endsection
@section('content')


<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header d-flex justify-content-between">
                <h2 class="mb-0">IFTA Reports</h2>
                <a class="button-css text-white" href="{{ route('ifta.create') }}">New Settlement</a>
            </div>
            <div class="card-body">
                <table id="example" class="table table-bordered dt-responsive nowrap table-striped align-middle" style="width:100%">
                    <thead>
                        <tr>
                            <th scope="col" style="width: 10px;">
                                #
                            </th>
                            <th>New</th>           
                            <th>Canceled</th>           
                            <th>Status</th>
                            
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($iftaReports as $key=>$iftaReport)
                        <tr>
                            <th scope="row">
                                {{ $key+1 }}
                            </th>
                            <td>{{$iftaReport->checkbox1}}</td>    
                            <td>{{$iftaReport->checkbox2}}</td>  
                            <td>
                                <div class="dropdown d-inline-block">
                                    <button class="btn btn-soft-secondary btn-sm dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                                        <i class="ri-more-2-fill align-middle"></i>
                                    </button>
                                    <ul class="dropdown-menu dropdown-menu-end">
                                        <!-- <li><a href="{{ route('ifta.show', $iftaReport->id) }}" class="dropdown-item"><i class="ri-eye-fill align-bottom me-2 text-muted"></i>View</a></li> -->
                                        <li><a href="{{ route('ifta.edit', $iftaReport->id) }}" class="dropdown-item"><i class="ri-pencil-fill align-bottom me-2 text-muted"></i>Edit</a></li>
                                        <li>
                                            <form action="{{ route('ifta.destroy', $iftaReport->id) }}" method="POST" class="dropdown-item">
                                                @csrf
                                                @method('DELETE')
                                                <button onclick="return confirm('Are you sure you want to delete this record?')" type="submit" class="btn btn-link">
                                                    <i class="ri-delete-bin-fill align-bottom me-2 text-muted"></i>Delete
                                                </button>
                                            </form>
                                        </li>
                                    </ul>
                                </div>
                            </td>

                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>



@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
