@extends('layouts.master')
@section('content')

<div class="row">
    <div class="col-xxl-12 col-md-12 col-lg-12 col-md-6 col-sm-12">
        <form method="post"
            action="{{ isset($importantTemplate) ? route('important-templates.update', $importantTemplate->id) : route('important-templates.store') }}"
            class="row g-3">
            @csrf
            @if(isset($importantTemplate))
                @method('PUT')
            @endif
            <div class="row">
                <div class="col-md-4">
                    <label for="template_name" class="form-label">Template Name</label>
                    <input type="text" class="form-control" name="template_name"
                        value="{{ $importantTemplate->template_name ?? '' }}">
                </div>
                <div class="col-md-4">
                    <label for="fuel_provider" class="form-label">Fuel Provider</label>
                    <input type="text" class="form-control" name="fuel_provider"
                        value="{{ $importantTemplate->fuel_provider ?? '' }}">
                </div>
            </div>
            <div class="col-md-12">
                <label for="source_document" class="form-label">Source Document</label>
                <input type="text" class="form-control" name="source_document"
                    value="{{ $importantTemplate->source_document ?? '' }}">
            </div>
            <div class="row">
                <div class="col-md-12 mt-3 mb-3">
                    <h4>Does this Document Have Column Headers</h4>
                    <div class="form-check">
                        <input class="form-check-input" type="radio" name="column_headers" id="exampleRadios1" value="1"
                            {{ isset($importantTemplate) && $importantTemplate->column_headers == 1 ? 'checked' : '' }}>
                        <label class="form-check-label" for="exampleRadios1">
                            Yes
                        </label>
                    </div>
                    <div class="form-check mt-3">
                        <input class="form-check-input" type="radio" name="column_headers" id="exampleRadios2" value="0"
                            {{ isset($importantTemplate) && $importantTemplate->column_headers == 0 ? 'checked' : '' }}>
                        <label class="form-check-label" for="exampleRadios2">
                            No
                        </label>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <label for="header_row" class="form-label">Header Row</label>
                    <input type="text" class="form-control" name="header_row"
                        value="{{ $importantTemplate->header_row ?? '' }}">
                </div>
            </div>
            <div class="col-12">
                <div class="text-start">
                    <button type="submit" class="button-css btn btn-primary">Create Template</button>
                </div>
            </div>
        </form>

    </div> <!-- end col -->
</div>
<!--end row-->

@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
