@extends('layouts.master')

@section('content')


<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header d-flex justify-content-between">
                <h2 class="mb-0">Fuel Import Template</h2>
                <a class="button-css text-white" href="{{ route('important-templates.create') }}">New
                    Template</a>
            </div>
            <div class="card-body">
                <table id="example" class="table table-bordered dt-responsive nowrap table-striped align-middle"
                    style="width:100%">
                    <thead>
                        <tr>
                            <th scope="col" style="width: 10px;">
                                #
                            </th>
                            <th>Template Name</th>
                            <th>Fuel Provider</th>
                            <th>Source Document</th>
                            <th>Have Column Headers</th>
                            <th>Header Row</th>
                            <th>Status</th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach($importantTemplates as $key=>$importantTemplate)
                            <tr>
                                <th scope="row">
                                    {{ $key +1 }}
                                </th>
                                <td>{{ $importantTemplate->template_name }}</td>
                                <td>{{ $importantTemplate->fuel_provider }}</td>
                                <td>{{ $importantTemplate->source_document }}</td>
                                <td>{{ $importantTemplate->column_headers }}</td>
                                <td>{{ $importantTemplate->header_row }}</td>
                                <td>
                                    <div class="dropdown d-inline-block">
                                        <button class="btn btn-soft-secondary btn-sm dropdown-toggle" type="button"
                                            data-bs-toggle="dropdown" aria-expanded="false">
                                            <i class="ri-more-2-fill align-middle"></i>
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-end" style="">
                                         
                                            <li><a href="{{ route('important-templates.edit', $importantTemplate->id) }}"
                                                    class="dropdown-item"><i
                                                        class="ri-pencil-fill align-bottom me-2 text-muted"></i>
                                                    Edit</a></li>
                                            <li>
                                                <form
                                                    action="{{ route('important-templates.destroy', $importantTemplate->id) }}"
                                                    method="POST" class="dropdown-item">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button onclick="return confirm('Are you sure you want to delete this record?')" type="submit" class="btn btn-link">
                                                        <i class="ri-delete-bin-fill align-bottom me-2 text-muted"></i>
                                                        Delete
                                                    </button>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>



@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
