<!-- ========== App Menu ========== -->
<div class="app-menu navbar-menu">
    <!-- LOGO -->
    <div class="navbar-brand-box">
        <!-- Dark Logo-->
        <a href="index" class="logo logo-dark">
            <span class="logo-sm">
                <img src="{{ URL::asset('build/images/fleet-logo.png') }}" alt="" height="22">
            </span>
            <span class="logo-lg">
                <img src="{{ URL::asset('build/images/fleet-logo.png') }}" alt="" height="17">
            </span>
        </a>
        <!-- Light Logo-->
        <a  class="logo logo-light">
            <span class="logo-sm">
                <img src="{{ URL::asset('build/images/fleet-logo.png') }}" alt="" height="22">
            </span>
            <span class="logo-lg">
                <img src="{{ URL::asset('build/images/fleet-logo.png') }}" alt="" height="65">
            </span>
        </a>
        <button type="button" class="btn btn-sm p-0 fs-20 header-item float-end btn-vertical-sm-hover"
            id="vertical-hover">
            <i class="ri-record-circle-line"></i>
        </button>
    </div>

    <div id="scrollbar">
        <div class="container-fluid">

            <div id="two-column-menu">
            </div>

            <ul class="navbar-nav" id="navbar-nav">
                @if (auth()->user()->hasRole('company'))
                    <li class="nav-item">

                        <a class="nav-link menu-link {{ request()->is('loads*') ? 'active' : '' }}"
                            href="{{ route('loads.index') }}" role="button" aria-expanded="false"
                            aria-controls="sidebarDashboards">
                            <i class="ri-folder-3-fill"></i> <span>@lang('translation.loads')
                            </span>
                        </a>

                    </li> <!-- end Dashboard Menu -->
                    {{-- <li class="nav-item">
                    <a class="nav-link menu-link {{ (request()->is('dispatch-board*')) ? 'active' : '' }}" href="dispatch-board"  role="button" aria-expanded="false" aria-controls="sidebarApps">
                        <i class="ri-truck-line"></i> <span>@lang('translation.dispatch-board')
                        </span>
                    </a>

                </li> --}}

                    <li class="nav-item">
                        <a class="nav-link menu-link {{ request()->is('drivers*') ? 'active' : '' }}"
                            href="{{ route('drivers.index') }}" role="button" aria-expanded="false"
                            aria-controls="sidebarLayouts">
                            <i class="mdi mdi-cube-outline"></i> <span>@lang('translation.drivers')</span>

                        </a>

                    </li> <!-- end Dashboard Menu -->

                    <li class="nav-item">
                        <a class="nav-link menu-link {{ request()->is('partners*') ? 'active' : '' }}"
                            href="{{ route('partners.index') }}" role="button" aria-expanded="false"
                            aria-controls="sidebarAuth">
                            <i class="mdi mdi-account-circle-outline"></i> <span>@lang('translation.partners')
                            </span>
                        </a>

                    </li>

                    <li class="nav-item">
                        <a class="nav-link menu-link" href="#sidebarPages" data-bs-toggle="collapse" role="button"
                            aria-expanded="false" aria-controls="sidebarPages">
                            <i class="mdi mdi-sticker-text-outline"></i> <span>@lang('translation.equipment')
                            </span>
                        </a>
                        @php
                            $equipment = request()->is('trucks*') || request()->is('trailers*');
                        @endphp
                        <div class="collapse menu-dropdown {{ $equipment ? 'show' : '' }}" id="sidebarPages">
                            <ul class="nav nav-sm flex-column">
                                <li class="nav-item">
                                    <a href="{{ route('trucks.index') }}"
                                        class="nav-link {{ request()->is('trucks*') ? 'active' : '' }}">@lang('translation.truck')
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="{{ route('trailers.index') }}"
                                        class="nav-link {{ request()->is('trailers*') ? 'active' : '' }}"
                                        role="button" aria-expanded="false"
                                        aria-controls="sidebarProfile">@lang('translation.trailer')
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link menu-link" href="#sidebarLanding" data-bs-toggle="collapse" role="button"
                            aria-expanded="false" aria-controls="sidebarLanding">
                            <i class="bx bxs-gas-pump"></i> <span>@lang('translation.fuel')</span>
                        </a>
                        @php
                            $fuel =
                                request()->is('fuel-cards*') ||
                                (request()->is('fuel-transactions*') || request()->is('important-templates*'));
                        @endphp
                        <div class="collapse menu-dropdown {{ $fuel ? 'show' : '' }}" id="sidebarLanding">
                            <ul class="nav nav-sm flex-column">
                                <li class="nav-item">
                                    <a href="{{ route('fuel-cards.index') }}"
                                        class="nav-link {{ request()->is('fuel-cards*') ? 'active' : '' }}">
                                        @lang('translation.fuel-card') </a>
                                </li>
                                <li class="nav-item">
                                    <a href="{{ route('fuel-transactions.index') }}"
                                        class="nav-link {{ request()->is('fuel-transactions*') ? 'active' : '' }}">
                                        @lang('translation.fuel-transaction') </a>
                                </li>
                                <li class="nav-item">
                                    <a href="{{ route('important-templates.index') }}"
                                        class="nav-link {{ request()->is('important-templates*') ? 'active' : '' }}">@lang('translation.important-template')</a>
                                </li>
                            </ul>
                        </div>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link menu-link {{ request()->is('driver-payroll*') ? 'active' : '' }}"
                            href="{{ route('driver-payroll.index') }}" role="button" aria-expanded="false"
                            aria-controls="sidebarUI">
                            <i class="mdi mdi-cube-outline"></i> <span>@lang('translation.driver-payroll')
                            </span>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link menu-link" href="#sidebarAdvanceUI" data-bs-toggle="collapse"
                            role="button" aria-expanded="false" aria-controls="sidebarAdvanceUI">
                            <i class="bx bx-calculator"></i> <span>@lang('translation.accounting')
                            </span>

                        </a>
                        @php
                            $accounting =
                                request()->is('payments*') ||
                                request()->is('expenses*') ||
                                request()->is('factoring-reports*');
                        @endphp
                        <div class="collapse menu-dropdown {{ $accounting ? 'show' : '' }}" id="sidebarAdvanceUI">
                            <ul class="nav nav-sm flex-column">
                                <li class="nav-item">
                                    <a href="{{ route('payments.index') }}"
                                        class="nav-link {{ request()->is('payments*') ? 'active' : '' }}">@lang('translation.payments')
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="{{ route('expenses.index') }}"
                                        class="nav-link {{ request()->is('expenses*') ? 'active' : '' }}">@lang('translation.expenses')
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="{{ route('factoring-reports.index') }}"
                                        class="nav-link {{ request()->is('factoring-reports*') ? 'active' : '' }}">@lang('translation.factoring-report')
                                    </a>
                                </li>

                            </ul>
                        </div>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link menu-link {{ request()->is('ifta*') ? 'active' : '' }}"
                            href="{{ route('ifta.index') }}">
                            <i class="ri-folder-3-fill"></i> <span>@lang('translation.ifta')
                            </span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link menu-link {{ request()->routeIs('user.profile') ? 'active' : '' }}"
                            href="{{ route('user.profile') }}">
                            <i class="ri-folder-3-fill"></i> <span>@lang('translation.settings')
                            </span>
                        </a>
                    </li>
                    {{-- <li class="nav-item">
                    <a class="nav-link menu-link {{ (request()->is('plans*')) ? 'active' : '' }}" href="{{route('plans.index')}}">
                        <i class="ri-folder-3-fill"></i> <span>Plans
                        </span>
                    </a>
                </li> --}}
                    <li class="nav-item">
                        <a class="nav-link menu-link {{ request()->routeIs('plans.list') || request()->routeIs('subscribe.form') ? 'active' : '' }}"
                            href="{{ route('plans.list') }}">
                            <i class="ri-folder-3-fill"></i> <span>Plans
                            </span>
                        </a>
                    </li>
                @endif
                @if (auth()->user()->hasRole('admin'))
                    <li class="nav-item">
                        <a class="nav-link menu-link {{ request()->routeIs('dashboard.overview') ? 'active' : '' }}"
                            href="{{ route('dashboard.overview') }}">
                            <i class="ri-dashboard-2-line"></i> <span>Dashboard
                            </span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link menu-link {{ request()->routeIs('companies.index')  ? 'active' : '' }}"
                            href="{{ route('companies.index') }}">
                            <i class="ri-file-user-fill"></i> <span>Companies
                            </span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link menu-link {{ request()->routeIs('subscription.payment.list') ? 'active' : '' }}"
                            href="{{ route('subscription.payment.list') }}">
                            <i class="ri-secure-payment-fill"></i> <span>Subscription & Payment
                            </span>
                        </a>
                    </li>

                @endif
                <li class="nav-item">
                    <a class="nav-link menu-link"
                        onclick="event.preventDefault(); document.getElementById('logout-form').submit();"
                        href="#">
                        <i class="ri-logout-box-r-line"></i> <span>@lang('translation.logout')
                        </span>
                    </a>
                </li>


                <!-- Form for logout -->
                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                    @csrf
                </form>
            </ul>
        </div>
        <!-- Sidebar -->
    </div>
    <div class="sidebar-background"></div>
</div>
<!-- Left Sidebar End -->
<!-- Vertical Overlay-->
<div class="vertical-overlay"></div>
<!-- @section('script')


        <script>
            document.getElementById('logout-link').addEventListener('click', function(event) {
                event.preventDefault(); // Prevent default link behavior
                document.getElementById('logout-form').submit(); // Submit the form
            });
        </script>
        @ensection
