@extends('layouts.master')
@section('content')

<div class="row">
    <div class="col-xxl-12 col-md-12 col-lg-12 col-md-6 col-sm-12">
        <form method="post"
            action="{{ isset($load) ? route('loads.update', $load->id) : route('loads.store') }}"
            class="row g-3" enctype="multipart/form-data">
            @csrf
            @if(isset($load))
                @method('PUT')
            @endif
            <div class="col-md-4">
                <label for="inputState" class="form-label">Status</label>
                <select id="inputState" name="status" class="form-select" data-choices-sorting="true">
                    <option value="pending"
                        {{ isset($load) && $load->status == 'pending' ? 'selected' : '' }}>
                        Pending</option>
                        <option value="complete"
                        {{ isset($load) && $load->status == 'complete' ? 'selected' : '' }}>
                        Complete</option>
                </select>
            </div>
            <div class="col-md-4">
                <label for="inputState" class="form-label">Billing Status</label>
                <select id="inputState" name="billing_status" class="form-select" data-choices-sorting="true">
                    <option value="clear"
                        {{ isset($load) && $load->billing_status == 'clear' ? 'selected' : '' }}>
                        Clear</option>
                    <option value="pending"
                        {{ isset($load) && $load->billing_status == 'pending' ? 'selected' : '' }}>
                        Pending</option>
                </select>
            </div>
            <div class="col-md-4">
                <label for="inputState" class="form-label">Dispatcher</label>
                <select id="inputState" name="dispatcher" class="form-select" data-choices-sorting="true">
                    <option value="Amazon SQS"
                        {{ isset($load) && $load->dispatcher == 'Amazon SQS' ? 'selected' : '' }}>
                        Amazon SQS</option>
                    <option value="Google Cloud"
                        {{ isset($load) && $load->dispatcher == 'Google Cloud' ? 'selected' : '' }}>
                        Google Cloud</option>
                    <option value="RabbitMQ"
                        {{ isset($load) && $load->dispatcher == 'RabbitMQ' ? 'selected' : '' }}>
                        RabbitMQ</option>
                </select>
            </div>

            <div class="row">
                <h5 class="mt-3 fw-bold">Pickup</h4>
                    <div class="col-md-4">
                        <label for="inputCity" class="form-label">Date</label>
                        <input type="datetime-local" class="form-control" name="pickup_date" id="inputCity"
                            value="{{ isset($load) ? $load->pickup_date : '' }}">
                    </div>
                    <div class="col-md-4">
                        <label for="inputCity" class="form-label">City</label>
                        <input type="text" class="form-control" name="pickup_city" id="inputCity"
                            value="{{ isset($load) ? $load->pickup_city : '' }}">
                    </div>
                    <div class="col-md-2">
                        <label for="inputState" class="form-label">State</label>
                        <input type="text" class="form-control" name="pickup_state" id="pickup_state"
                        value="{{ isset($load) ? $load->pickup_state : '' }}">
                    </div>
                    <div class="col-md-2">
                        <label for="inputCity" class="form-label">Zipcode</label>
                        <input type="text" class="form-control" name="pickup_zipcode" id="inputCity"
                            value="{{ isset($load) ? $load->pickup_zipcode : '' }}">
                    </div>
                    <div class="row mt-2">
                        <div class="col-md-4">
                            <label for="pick_up_address" class="form-label">PickUp Address</label>
                            <input type="text" class="form-control" id="pick_up_address" name="pick_up_address"
                                value="{{ isset($load) ? $load->pick_up_address : '' }}">
                        </div>
                        <div class="col-md-4">
                            <label for="pick_up_lat" class="form-label">PickUp Lat</label>
                            <input type="text" class="form-control" id="pick_up_lat" name="pick_up_lat"
                                value="{{ isset($load) ? $load->pick_up_lat : '' }}">
                        </div>
                        <div class="col-md-4">
                            <label for="pick_up_long" class="form-label">PickUp Long</label>
                            <input type="text" class="form-control" name="pick_up_long" id="pick_up_long"
                            value="{{ isset($load) ? $load->pick_up_long : '' }}">
                        </div>
                    </div>
            </div>

            <div class="row">
                <h5 class="mt-3 fw-bold">Delivery</h5>
                <div class="col-md-4">
                    <label for="delivery_date" class="form-label">Date</label>
                    <input type="datetime-local" class="form-control" id="delivery_date" name="delivery_date"
                        value="{{ isset($load) ? $load->delivery_date : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="delivery_city" class="form-label">City</label>
                    <input type="text" class="form-control" id="delivery_city" name="delivery_city"
                        value="{{ isset($load) ? $load->delivery_city : '' }}">
                </div>
                <div class="col-md-2">
                    <label for="delivery_state" class="form-label">State</label>
                    <input type="text" class="form-control" name="delivery_state" id="delivery_state"
                    value="{{ isset($load) ? $load->delivery_state : '' }}">
                </div>
                <div class="col-md-2">
                    <label for="delivery_zipcode" class="form-label">Zipcode</label>
                    <input type="text" class="form-control" id="delivery_zipcode" name="delivery_zipcode"
                        value="{{ isset($load) ? $load->delivery_zipcode : '' }}">
                </div>
                <div class="row mt-2">
                    <div class="col-md-4">
                        <label for="drop_Off_address" class="form-label">Delivery Address</label>
                        <input type="text" class="form-control" id="drop_Off_address" name="drop_Off_address"
                            value="{{ isset($load) ? $load->drop_Off_address : '' }}">
                    </div>
                    <div class="col-md-4">
                        <label for="drop_Off_lat" class="form-label">Delivery Lat</label>
                        <input type="text" class="form-control" id="drop_Off_lat" name="drop_Off_lat"
                            value="{{ isset($load) ? $load->drop_Off_lat : '' }}">
                    </div>
                    <div class="col-md-4">
                        <label for="drop_Off_long" class="form-label">Delivery Long</label>
                        <input type="text" class="form-control" name="drop_Off_long" id="drop_Off_long"
                        value="{{ isset($load) ? $load->drop_Off_long : '' }}">
                    </div>
                </div>
            </div>
            <div class="row">
                <h5 class="mt-3 fw-bold">Broker</h5>
                <div class="col-md-4">
                    <label for="broker_state" class="form-label">State</label>
                    <input type="text" class="form-control" name="broker_state" id="broker_state"
                    value="{{ isset($load) ? $load->broker_state : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="broker_city" class="form-label">PO#</label>
                    <input type="text" class="form-control" id="broker_city" name="broker_po"
                        value="{{ isset($load) ? $load->broker_po : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="broker_zipcode" class="form-label">Rate $</label>
                    <input type="text" class="form-control" id="broker_zipcode" name="broker_rate"
                        value="{{ isset($load) ? $load->broker_rate : '' }}">
                </div>
                <div class="row">
                    <h5 class="mt-3 fw-bold">Driver</h5>
                    <div class="col-md-6">
                        <label for="driver_id" class="form-label">Driver</label>
                        <select id="driver_id" name="driver_id" class="form-select" data-choices
                            data-choices-sorting="true">
                            @foreach($drivers as $driver)
                                <option value="{{ $driver->id }}"
                                    {{ isset($load) && $load->driver_id == $driver->id ? 'selected' : '' }}>
                                    {{ $driver->name }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-md-4">
                        <label for="truck_id" class="form-label">Truck</label>
                        <select id="truck_id" name="truck_id" class="form-select" data-choices
                            data-choices-sorting="true">
                            <option value="">Select Truck</option>
                            @foreach($trucks as $truck)
                                <option value="{{ $truck->id }}"
                                    {{ isset($load) && $load->truck_id == $truck->id ? 'selected' : '' }}>
                                    {{ $truck->unit }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-md-2">
                        <label for="trailer_id" class="form-label">Trailer</label>
                        <select id="trailer_id" name="trailer_id" class="form-select" data-choices
                            data-choices-sorting="true">
                            <option value="">Select Trailer</option>
                            @foreach($trailers as $trailer)
                                <option value="{{ $trailer->id }}"
                                    {{ isset($load) && $load->trailer_id == $trailer->id ? 'selected' : '' }}>
                                    {{ $trailer->unit }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="row">
                    <h5 class="mt-3 fw-bold">Notes</h4>
                        <div class="col-lg-6 col-md-6 col-sm-6">
                            <label for="inputState" class="form-label">Title</label>
                            
                            <textarea type="text" class="form-control" id="notes" name="notes" rows="6">{{ isset($load) ? $load->notes : '' }}</textarea>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6">
                            <h5 class="mt-3 fw-bold">Attachment</h4>
                                <input class="form-control" type="file" id="formFile" name="attachment_url">
                                @if(isset($load) && $load->attachment_url)
                                    <img class="w-20"
                                        src="{{ asset('storage/loads/'. $load->attachment_url) }}"
                                        alt="">
                                @endif
                        </div>
                </div>
            </div>
            <div class="col-12">
                <div class="text-start">
                    <button type="submit"
                        class="button-css btn btn-primary">{{ isset($load) ? 'Update Load' : 'Create Load' }}</button>
                </div>
            </div>
        </form>
    </div> <!-- end col -->
</div>
<!--end row-->

@endsection
@section('script')

<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
