@extends('layouts.master')

@section('content')

<div class="row">


    <div class="col-lg-12">
        <div class="card">
            <div class="card-header d-flex justify-content-between">
                <h2 class="mb-0">Loads</h2>
                <a class="button-css text-white" href="{{ route('loads.create') }}">New Load</a>
            </div>
            <div class="card-body">
                <table id="example" class="table table-bordered dt-responsive nowrap table-striped align-middle"
                    style="width:100%">
                    <thead>
                        <tr>
                            <th scope="col" style="width: 10px;">
                                #
                            </th>
                            <th>Status</th>
                            <th>Billing Status</th>
                            <th>Dispatcher</th>
                            <th>Date</th>
                            <th>City</th>
                            <th>State</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($loads as $key=>$load)
                            <tr>
                                <th scope="row">
                                    {{ $key+1 }}
                                </th>
                                <td> <span class="badge badge-label text-uppercase {{$load->status=="pending"? "bg-primary": "bg-success"}} "><i class="mdi mdi-circle-medium"></i> {{ $load->status }}</span></td>
                                <td> <span class="badge badge-label text-uppercase {{$load->billing_status=="pending"? "bg-warning": "bg-secondary"}} "><i class="mdi mdi-circle-medium"></i> {{ $load->billing_status }}</span></td>
                                <td>{{ $load->dispatcher }}</td>
                                <td>{{ $load->pickup_date }}</td>
                                <td>{{ $load->pickup_city }}</td>
                                <td>{{ $load->pickup_state }}</td>
                                <td>
                                    <div class="d-flex">
                                        <a href="{{ route('loads.edit', $load->id) }}" class="btn btn-success btn-label waves-effect waves-light rounded-pill mx-1"><i class="ri-pencil-fill label-icon align-middle rounded-pill fs-16 me-2"></i> Edit</a>
                                        <form
                                            action="{{ route('loads.destroy', $load->id) }}"
                                            method="POST" class="dropdown-item">
                                            @csrf
                                            @method('DELETE')
                                            <button onclick="return confirm('Are you sure you want to delete this record?')" type="submit" class="btn btn-danger btn-label waves-effect waves-light rounded-pill">
                                                <i class="ri-delete-bin-fill label-icon align-middle rounded-pill fs-16 me-2"></i>
                                                Delete
                                            </button>
                                       </form>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>



@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
