@extends('layouts.master')

@section('content')


<div class="row">
    <div class="col-xxl-12 col-md-12 col-lg-12 col-md-6 col-sm-12">
        <form method="POST" action="{{ isset($customer) ? route('customers.update', $customer->id) : route('customers.store') }}" class="row g-3" enctype="multipart/form-data">
            @csrf
            @if(isset($customer))
                @method('PUT')
            @endif
            <div class="row">
                    <div class="col-lg-12">
                        <input class="form-control" name="image" type="file" >
                        @if(isset($customer) && $customer->image)
                            <img class="w-20" src="{{asset('storage/customer/'. $customer->image)}}" alt="">
                        @endif

                    </div>
                </div>
            <div class="row">
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Name</label>
                    <input type="text" class="form-control" name="name" value="{{ isset($customer) ? $customer->name : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Address</label>
                    <input type="text" class="form-control" name="address" value="{{ isset($customer) ? $customer->address : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Address line 2</label>
                    <input type="text" class="form-control" name="address_line_2" value="{{ isset($customer) ? $customer->address_line_2 : '' }}">
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Phone</label>
                    <input type="text" class="form-control" name="phone" value="{{ isset($customer) ? $customer->phone : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Email</label>
                    <input type="text" class="form-control" name="email" value="{{ isset($customer) ? $customer->email : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">City</label>
                    <input type="text" class="form-control" name="city" value="{{ isset($customer) ? $customer->city : '' }}">
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <label for="inputState" class="form-label">State</label>
                    <select id="inputState" class="form-select" name="state" data-choices data-choices-sorting="true">
                    <option value="California" {{ isset($customer) && $customer->state === 'California' ? 'selected' : '' }}>California</option>
                    <option value="Las Vegas" {{ isset($customer) && $customer->state === 'Las Vegas' ? 'selected' : '' }}>Las Vegas</option>
                    <option value="Texas" {{ isset($customer) && $customer->state === 'Texas' ? 'selected' : '' }}>Texas</option>
                    <option value="Florida" {{ isset($customer) && $customer->state === 'Florida' ? 'selected' : '' }}>Florida</option>
                    </select>
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Zipcode</label>
                    <input type="text" class="form-control" name="zipcode" value="{{ isset($customer) ? $customer->zipcode : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">FID\EIN</label>
                    <input type="text" class="form-control" name="fid" value="{{ isset($customer) ? $customer->fid : '' }}">
                </div>
            </div>
            <div class="row mt-3">
                <div class="col-md-12">
                    <label for="inputCity" class="form-label">MC</label>
                    <input type="text" class="form-control" name="mc" value="{{ isset($customer) ? $customer->mc : '' }}">
                </div>
                <div class="col-md-12">
                    <label for="inputCity" class="form-label">Notes</label>
                    <input type="text" class="form-control" name="notes" value="{{ isset($customer) ? $customer->notes : '' }}">
                </div>
            </div>
            <div class="row mt-3">
                <h4 class="m-3 fw-bold">Customer Type</h4>
                <div class="col-auto">
                    <div class="form-check">
                        <input class="form-check-input" name="broker_checkbox" type="checkbox" id="inlineCheckbox1"  value="option1" {{ isset($customer) && $customer->broker_checkbox ? 'checked' : '' }}>
                        <label class="form-check-label" for="inlineCheckbox1">Broker</label>
                    </div>
                </div>
                <div class="col-auto">
                    <div class="form-check">
                        <input class="form-check-input" name="shipper_checkbox" type="checkbox" id="inlineCheckbox2" value="option2" {{ isset($customer) && $customer->shipper_checkbox ? 'checked' : '' }}>
                        <label class="form-check-label" for="inlineCheckbox2">Shipper/Receiver</label>
                    </div>
                </div>
            </div>


            <div class="row mt-3">
                <h4 class="m-3 fw-bold">Billing</h4>
                <div class="col-auto">
                    <div class="form-check form-check-inline">
                        <input class="form-check-input" type="radio" name="billing_type" id="exampleRadio1"
                        value="option1" {{ isset($customer) && $customer->billing_type === 'option1' ? 'checked' : '' }}checked>
                        <label class="form-check-label" for="exampleRadio1">Detect Billing</label>
                    </div>
                </div>
                <div class="col-auto">
                    <div class="form-check form-check-inline">
                        <input class="form-check-input" type="radio" name="billing_type" id="exampleRadio2"
                        value="option2" {{ isset($customer) && $customer->billing_type === 'option2' ? 'checked' : '' }}>
                        <label class="form-check-label" for="exampleRadio2">Factoring</label>
                    </div>
                </div>
            </div>
            <div class="row mt-3">
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Quickpay fee, % (e.g.2.25)</label>
                    <input type="number" class="form-control" name="fee" value="{{ isset($customer) ? $customer->fee : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Credit</label>
                    <input type="number" class="form-control" name="credit" value="{{ isset($customer) ? $customer->credit : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Average days to pay</label>
                    <input type="text" class="form-control" name="avg_days" value="{{ isset($customer) ? $customer->avg_days : '' }}">
                </div>
            </div>
            <div class="row mt-3">
                <div class="col-md-6">
                    <label for="inputCity" class="form-label">Status</label>
                    <select id="inputState" class="form-select" name="status" data-choices data-choices-sorting="true">
                    <option value="Texas" {{ isset($customer) && $customer->status === 'Active' ? 'selected' : '' }}>Active</option>
                    <option value="Florida" {{ isset($customer) && $customer->status === 'Clear' ? 'selected' : '' }}>Clear</option>
                    </select>
                </div>
                <div class="col-md-6">
                    <label for="inputCity" class="form-label">Pay terms</label>
                    <input type="text" class="form-control" name="payterms" value="{{ isset($customer) ? $customer->payterms : '' }}">
                </div>
            </div>
            <div class="row mt-3">
                <div class="col-12">
                    <div class="text-start">
                        <button type="submit" class="button-css btn btn-primary">Create Customer</button>
                    </div>
                </div>
            </div>
        </form>
    </div><!-- end col -->
</div>
<!--end row-->



@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
