@extends('layouts.master')
@section('title')
@lang('translation.customer-details')
    @endsection
    @section('content')

    <div class="container-sm">
        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12">
                <div class="card">
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-nowrap align-middle justify-content-center mb-0">
                                <thead>
                                    <tr>
                                        <th scope="col" style="width: 50%;">
                                            {{ $customer->name }} Details
                                        </th>
                                        <th scope="col" class="text-center">
                                            <form method="post"
                                                action="{{ route('customers.destroy', $customer->id) }}">
                                                @csrf
                                                @method('DELETE')
                                               
                                                <a href="{{ route('customers.edit', $customer->id) }}"
                                                    class="btn btn-lg bg-lightgrey">Edit</a>

                                                <button onclick="return confirm('Are you sure you want to delete this record?')" type="submit" class="btn btn-lg bg-lightgrey">Delete</button>
                                            </form>
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>

                                    <tr>
                                        <td>
                                            {{ $customer->name }}
                                        </td>

                                    </tr>

                                    <tr>
                                        <td>
                                            {{ $customer->email }}
                                        </td>
                                    </tr>

                                </tbody>
                            </table>
                            <!-- end table -->
                        </div>
                        <!-- end table responsive -->
                    </div><!-- end card-body -->
                </div><!-- end card -->
            </div>
            <!-- end col -->
        </div>
        <!-- end row -->
    </div> <!-- end container-->
    @endsection
    @section('script')
    <script src="{{ URL::asset('build/js/app.js') }}"></script>
    @endsection
