@extends('layouts.master')
@section('title') @lang('translation.partners') @endsection
@section('content')


<div class="row">
    <div class="card">
        <div class="card-body">
            <div class="col-lg-12 mb-3">
                <div>
    
                    <ul class="nav nav-success mb-3 gap-css" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link waves-effect waves-light active button-css text-white"
                                data-bs-toggle="tab" href="#customer" role="tab">Customers</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link waves-effect waves-light button-css text-whitex" data-bs-toggle="tab"
                                href="#vendors" role="tab">Vendors</a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="tab-content text-muted">
                <div class="tab-pane active" id="customer" role="tabpanel">
                    <div class="col-lg-12 mb-3">
                        <div>
                            <div class="d-flex flex-wrap gap-2">
                                <a class="btn w-lg button-css text-white m-3"
                                    href="{{ route('customers.create') }}">New Customer</a>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <!-- Nav tabs -->
                                {{-- <ul class="nav nav-pills nav-success mb-3" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link waves-effect waves-light active" data-bs-toggle="tab"
                                            href="#home-1" role="tab">Broker</a>
                                    </li>
                                  
                                </ul> --}}
                                <!-- Tab panes -->
                                <div class="tab-content text-muted">
                                    <div class="tab-pane active" id="home-1" role="tabpanel">
                                        <div class="row">       
                                            <div class="col-12">
                                                <div class="row row-cols-xxl-3 row-cols-lg-3 row-cols-1">
                                                @foreach($customers as $customer)
                                                    <div class="col">
                                                        <a href="{{ route('partners.customers.customer-details', $customer->id) }}" class="my-pointer">
                                                        <div class="card card-body card-css">
                                                            <div class="d-flex mb-2 align-items-center">
                                                                <div class="flex-shrink-0">
        
                                                                    @if(isset($customers) && $customer->image)
                                                                        <img class="avatar-sm rounded-circle"
                                                                            src="{{ asset('storage/customer/'. $customer->image) }}"
                                                                            alt="">
                                                                    @endif
                                                                </div>
                                                                <div class="flex-grow-1 ms-4">
                                                                    <p class="card-title mb-1">{{$customer->name}}</p>
                                                                    <p class="text-muted mb-0">
                                                                    {{$customer->email}}
                                                                    </p>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        </a>
                                                    </div><!-- end col -->
                                                    @endforeach
                                                </div><!-- end row -->
                                            </div><!-- end col -->
                                        
                                        </div><!-- end row -->
                                    </div>
                                    <!--end col-->

                                </div>
                                <!--end row-->
                            </div>
                        </div>
                    </div>

                </div>
                <div class="tab-pane" id="vendors" role="tabpanel">
                    <div class="col-lg-12 mb-3">
                        <div>
                            <div class="d-flex flex-wrap gap-2">
                                <a class="btn w-lg button-css text-white m-3"
                                    href="{{ route('vendors.create') }}">New Vendor</a>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <!-- Nav tabs -->
                                <ul class="nav nav-pills nav-success mb-3" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link waves-effect waves-light active" data-bs-toggle="tab"
                                            href="#home-1" role="tab">Broker</a>
                                    </li>
                                  
                                </ul>
                                <!-- Tab panes -->
                                <div class="tab-content text-muted">
                                    <div class="tab-pane active" id="home-1" role="tabpanel">
                                        <div class="row">
                                            <div class="col-12">
                                                <div class="row row-cols-xxl-3 row-cols-lg-3 row-cols-1">
                                                @foreach($vendors as $vendor)
                                                    <div class="col">
                                                        <a href="{{ route('partners.vendors.vendor-details', $vendor->id) }}" class="my-pointer">
                                                        <div class="card card-body card-css">
                                                            <div class="d-flex mb-2 align-items-center">
                                                                <div class="flex-shrink-0">
                                                                   
                                                                        @if(isset($vendors) && $vendor->image)
                                                                        <img class="avatar-sm rounded-circle"
                                                                            src="{{ asset('storage/vendor/'. $vendor->image) }}"
                                                                            alt="">
                                                                    @endif
                                                                </div>
                                                                <div class="flex-grow-1 ms-4">
                                                                    <p class="card-title mb-1">{{$vendor->name}}
                                                                    </p>
                                                                    <p class="text-muted mb-0">
                                                                    {{$vendor->email}}
                                                                    </p>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        </a>
                                                    </div><!-- end col -->
                                                    @endforeach
                                                </div><!-- end row -->
                                            </div><!-- end col -->
                                        </div><!-- end row -->
                                    </div>
                                    <!--end col-->

                                </div>
                                <!--end row-->
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div><!-- end card-body -->
    </div><!-- end card -->
</div>
@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
