@extends('layouts.master')
@section('content')

<div class="row">
    <div class="col-xxl-12 col-md-12 col-lg-12 col-md-6 col-sm-12">
        <form method="post"
            action="{{ isset($vendor) ? route('vendors.update', $vendor->id) : route('vendors.store') }}"
            class="row g-3" enctype="multipart/form-data">
            @csrf
            @if(isset($vendor))
                @method('PUT')
            @endif
            <div class="row">
                <div class="col-lg-12">
                    <input class="form-control" name="image" type="file">
                    @if(isset($vendor) && $vendor->image)
                            <img class="w-20" src="{{asset('storage/vendor/'. $vendor->image)}}" alt="">
                        @endif
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Name</label>
                    <input type="text" class="form-control" name="name"
                        value="{{ isset($vendor) ? $vendor->name : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Address</label>
                    <input type="text" class="form-control" name="address"
                        value="{{ isset($vendor) ? $vendor->address : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Address line 2</label>
                    <input type="text" class="form-control" name="address_line_2"
                        value="{{ isset($vendor) ? $vendor->address_line_2 : '' }}">
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Phone</label>
                    <input type="text" class="form-control" name="phone"
                        value="{{ isset($vendor) ? $vendor->phone : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Email</label>
                    <input type="email" class="form-control" name="email"
                        value="{{ isset($vendor) ? $vendor->email : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">City</label>
                    <input type="text" class="form-control" name="city"
                        value="{{ isset($vendor) ? $vendor->city : '' }}">
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-md-4">
                    <label for="inputState" class="form-label">State</label>
                    <select id="inputState" class="form-select" name="state" data-choices data-choices-sorting="true">
                        <option
                            {{ isset($vendor) && $vendor->state == 'California' ? 'selected' : '' }}>
                            California</option>
                        <option
                            {{ isset($vendor) && $vendor->state == 'Las Vegas' ? 'selected' : '' }}>
                            Las Vegas</option>
                        <option
                            {{ isset($vendor) && $vendor->state == 'Florida' ? 'selected' : '' }}>
                            Florida</option>
                    </select>
                </div>
                <div class="col-md-4">
                    <label for="inputZipcde" class="form-label">Zipcode</label>
                    <input type="text" class="form-control" name="zipcode"
                        value="{{ isset($vendor) ? $vendor->zipcode : '' }}">
                </div>
                <div class="col-md-4">
                    <label for="inputFID" class="form-label">FID\EIN</label>
                    <input type="text" class="form-control" name="fid"
                        value="{{ isset($vendor) ? $vendor->fid : '' }}">
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-md-12">
                    <label for="inputCity" class="form-label">MC</label>
                    <input type="text" class="form-control" name="mc"
                        value="{{ isset($vendor) ? $vendor->mc : '' }}">
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-md-12">
                    <label for="inputCity" class="form-label">Notes</label>
                    <input type="text" class="form-control" name="notes"
                        value="{{ isset($vendor) ? $vendor->notes : '' }}">
                </div>
            </div>
            <div class="row mb-4">
                <h4 class="m-3 fw-bold">Billing</h4>
                <div class="col-auto">
                    <div class="form-check">
                        <input class="form-check-input" type="checkbox" name="checkbox" id="inlineCheckbox1"
                            value="option1"
                            {{ isset($vendor) && $vendor->checkbox ? 'checked' : '' }}>
                        <label class="form-check-label" for="inlineCheckbox1">Additional Payee</label>
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="text-start">
                    <button type="submit"
                        class="button-css btn btn-primary">{{ isset($vendor) ? 'Update' : 'Create' }}
                        Vendor</button>
                </div>
            </div>
        </form>

    </div> <!-- end col -->
</div>
<!--end row-->

@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
