@extends('layouts.master')
@section('title')
@lang('translation.vendor-details')
@endsection

@section('content')

<div class="container-sm">
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12">
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-nowrap align-middle justify-content-center mb-0">
                            <thead>
                                <tr>
                                    <th scope="col" style="width: 50%;">
                                        {{ $vendor->name }} Details 
                                    </th>
                                    <th scope="col" class="text-center">
                                        <form method="post" action="{{ route('vendors.destroy', $vendor->id) }}"> <!-- Assuming the route for vendor deletion is 'vendors.destroy' -->
                                            @csrf
                                            @method('DELETE')
                                            <a href="{{ route('vendors.edit', $vendor->id) }}" class="btn btn-lg bg-lightgrey">Edit</a> <!-- Assuming the route for editing vendor details is 'vendors.edit' -->
                                            <button onclick="return confirm('Are you sure you want to delete this record?')" type="submit" class="btn btn-lg bg-lightgrey">Delete</button>
                                        </form>
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>
                                        {{ $vendor->name }}
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        {{ $vendor->email }} 
                                    </td>
                                </tr>
                                <!-- Add more details as needed -->
                            </tbody>
                        </table>
                        <!-- end table -->
                    </div>
                    <!-- end table responsive -->
                </div><!-- end card-body -->
            </div><!-- end card -->
        </div><!-- end col -->
    </div><!-- end row -->
</div> <!-- end container-->
@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
