@extends('layouts.master')
@section('content')
<div class="row">
    <div class="col-xxl-12 col-md-12 col-lg-12 col-md-6 col-sm-12">
        <form method="post"
            action="{{ isset($payment) ? route('payments.update', $payment->id) : route('payments.store') }}"
            class="row g-3">
            @csrf
            @if(isset($payment))
                @method('PUT')
            @endif

            <div class="row">
                <div class="col-md-4">
                    <label for="date" class="form-label">Date</label>
                    <input type="datetime-local" class="form-control" id="date" name="date"
                        value="{{ isset($payment) ? $payment->date : old('date') }}">
                </div>
                <div class="col-md-4">
                    <label for="payee" class="form-label">Payee</label>
                    <input type="text" class="form-control" id="payee" name="payee"
                        value="{{ isset($payment) ? $payment->payee : old('payee') }}">
                </div>
                <div class="col-md-4">
                    <label for="payTo" class="form-label">Pay to</label>
                    <input type="text" class="form-control" id="payTo" name="payTo"
                        value="{{ isset($payment) ? $payment->payTo : old('payTo') }}">
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <label for="type" class="form-label">Type</label>
                    <input type="text" class="form-control" id="type" name="type"
                        value="{{ isset($payment) ? $payment->type : old('type') }}">
                </div>
                <div class="col-md-6">
                    <label for="amount" class="form-label">Amount</label>
                    <input type="text" class="form-control" id="amount" name="amount"
                        value="{{ isset($payment) ? $payment->amount : old('amount') }}">
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <label for="description" class="form-label">Description</label>
                    <input type="text" class="form-control" id="description" name="description"
                        value="{{ isset($payment) ? $payment->description : old('description') }}">
                </div>
            </div>
            <div class="col-12">
                <div class="text-start">
                    <button type="submit"
                        class="button-css btn btn-primary">{{ isset($payment) ? 'Update' : 'Save' }}</button>
                </div>
            </div>
        </form>


    </div> <!-- end col -->
</div>
<!--end row-->

@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
