@extends('layouts.master')
@section('content')


<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header d-flex justify-content-between">
                <h2 class="mb-0">Payment</h2>
                <a class="button-css text-white" href="{{ route('payments.create') }}">New
                    Payment</a>
            </div>
            <div class="card-body">
                <table id="example" class="table table-bordered dt-responsive nowrap table-striped align-middle"
                    style="width:100%">
                    <thead>
                        <tr>
                            <th scope="col" style="width: 10px;">
                               #
                            </th>
                            <th>Date</th>
                            <th>Payee</th>
                            <th>Pay to</th>
                            <th>Type</th>
                            <th>Amount</th>
                            <th>Description</th>
                            <th>Status</th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach($payments as $key=>$payment)
                            <tr>
                                <th scope="row">
                                    {{ $key+ 1 }}
                                </th>
                                <td>{{ $payment->date }}</td>
                                <td>{{ $payment->payee }}</td>
                                <td>{{ $payment->payTo }}</td>
                                <td>{{ $payment->type }}</td>
                                <td>{{ $payment->amount }}</td>
                                <td>{{ $payment->description }}</td>
                                <td>
                                    <div class="dropdown d-inline-block">
                                        <button class="btn btn-soft-secondary btn-sm dropdown-toggle" type="button"
                                            data-bs-toggle="dropdown" aria-expanded="false">
                                            <i class="ri-more-2-fill align-middle"></i>
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-end" style="">
                                            <!-- <li><a href="{{ route('payments.show', $payment->id) }}"
                                                    class="dropdown-item"><i
                                                        class="ri-eye-fill align-bottom me-2 text-muted"></i>
                                                    View</a></li> -->
                                            <li><a href="{{ route('payments.edit', $payment->id) }}"
                                                    class="dropdown-item"><i
                                                        class="ri-pencil-fill align-bottom me-2 text-muted"></i>
                                                    Edit</a></li>
                                            <li>
                                                <form
                                                    action="{{ route('payments.destroy', $payment->id) }}"
                                                    method="POST" class="dropdown-item">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button onclick="return confirm('Are you sure you want to delete this record?')" type="submit" class="btn btn-link">
                                                        <i class="ri-delete-bin-fill align-bottom me-2 text-muted"></i>
                                                        Delete
                                                    </button>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>
                                </td>

                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>



@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
