@extends('layouts.master')
@section('content')
@section('title', __('translation.settings'))
<div class="row">
    <div class="col-xxl-12 col-md-12 col-lg-12 col-md-6 col-sm-12">
        <form
            action="{{ isset($setting) ? route('settings.update', $setting->id) : route('settings.store') }}"
            method="POST" class="row g-3">
            @csrf
            @if(isset($setting))
                @method('PUT')
            @endif

            <div class="row">
                <h5 class="mt-3 fw-bold">General</h5>
                <div class="col-md-6">
                    <label for="timezone" class="form-label">Timezone</label>
                    <input type="text" class="form-control" id="timezone" name="timezone"
                        value="{{ isset($setting) ? $setting->timezone : '' }}">
                </div>
                <div class="col-md-6">
                    <label for="theme" class="form-label">Theme</label>
                    <input type="text" class="form-control" id="theme" name="theme"
                        value="{{ isset($setting) ? $setting->theme : '' }}">
                </div>
            </div>

            <div class="row">
                <h5 class="mt-3 fw-bold">My Company</h5>
                <div class="col-sm">
                    <label for="default" class="form-label">Default</label>
                    <input type="text" class="form-control" id="default" name="default"
                        value="{{ isset($setting) ? $setting->default : '' }}">
                </div>
            </div>

            <div class="col-12">
                <div class="text-start">
                    <button type="submit"
                        class="button-css btn btn-primary">{{ isset($setting) ? 'Update' : 'Save' }}</button>
                </div>
            </div>
        </form>
    </div> <!-- end col -->
</div>
<!--end row-->

@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
