@extends('layouts.master')
@section('content')

<div class="row">
    <div class="col-xxl-12 col-md-12 col-lg-12 col-md-6 col-sm-12">
        <form method="post"
            action="{{ isset($trailer)? route('trailers.update', $trailer->id) : route('trailers.store') }}"
            class="row g-3">
            @csrf
            @csrf
            @if(isset($trailer))
                @method('PUT')
            @endif
            <div class="row">
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Unit</label>
                    <input type="text" class="form-control" name="unit"
                        value="{{ isset($trailer->unit) ? $trailer->unit: old('unit') }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Type</label>
                    <input type="text" class="form-control" name="type"
                        value="{{ isset($trailer->type) ? $trailer->type: old('type') }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Vin</label>
                    <input type="text" class="form-control" name="vin"
                        value="{{ isset($trailer->vin) ? $trailer->vin: old('vin') }}">
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Year</label>
                    <input type="text" class="form-control" name="year"
                        value="{{ isset($trailer->year) ? $trailer->year: old('year') }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Make</label>
                    <input type="text" class="form-control" name="make"
                        value="{{ isset($trailer->make) ? $trailer->make: old('make') }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Model</label>
                    <input type="text" class="form-control" name="model"
                        value="{{ isset($trailer->model) ? $trailer->model: old('model') }}">
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Driver</label>
                    <input type="text" class="form-control" name="driver"
                        value="{{ isset($trailer->driver) ? $trailer->driver: old('driver') }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Plate</label>
                    <input type="text" class="form-control" name="plate"
                        value="{{ isset($trailer->plate) ? $trailer->plate: old('plate') }}">
                </div>
                <div class="col-md-4">
                    <label for="inputCity" class="form-label">Plate State</label>
                    <input type="text" class="form-control" name="plate_state"
                        value="{{ isset($trailer->plate_state) ? $trailer->plate_state: old('plate_state') }}">
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 mt-3">
                    <h4>Ownership</h4>
                    <div class="form-check">
                        <input class="form-check-input" type="radio" name="ownership_type" value="owned"
                            id="exampleRadios1"
                            {{ (isset($trailer->ownership_type) && $trailer->ownership_type == 'owned') || old('ownership_type') == 'owned' ? 'checked' : '' }}
                            required>
                        <label class="form-check-label" for="exampleRadios1">
                            Owned
                        </label>
                    </div>
                    <div class="form-check mt-3">
                        <input class="form-check-input" type="radio" name="ownership_type" value="leased"
                            id="exampleRadios2"
                            {{ (isset($trailer->ownership_type) && $trailer->ownership_type == 'leased') || old('ownership_type') == 'leased' ? 'checked' : '' }}>
                        <label class="form-check-label" for="exampleRadios2">
                            Leased
                        </label>
                    </div>
                </div>
            </div>
            <div class="row mt-3">
                <div class="col-md-6">
                    <label for="inputCity" class="form-label">Purchase Date</label>
                    <input type="text" class="form-control" name="purchase_date"
                        value="{{ isset($trailer->purchase_date) ? $trailer->purchase_date: old('purchase_date') }}">
                </div>
                <div class="col-md-6">
                    <label for="inputCity" class="form-label">Purchase Price</label>
                    <input type="text" class="form-control" name="purchase_price"
                        value="{{ isset($trailer->purchase_price) ? $trailer->purchase_price: old('purchase_price') }}">
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <label for="inputCity" class="form-label">Notes</label>
                    <input type="text" class="form-control" name="notes"
                        value="{{ isset($trailer->notes) ? $trailer->notes: old('notes') }}">
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <label for="inputCity" class="form-label">History</label>
                    <input type="text" class="form-control" name="history"
                        value="{{ isset($trailer->history) ? $trailer->history: old('history') }}">
                </div>
            </div>
            <div class="col-12">
                <div class="text-start">
                    <button type="submit" class="button-css btn btn-primary">Create Trailer</button>
                </div>
            </div>
        </form>
    </div> <!-- end col -->
</div>
<!--end row-->

@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
