@extends('layouts.master')
@section('content')



<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header d-flex justify-content-between">
                <h2 class="mb-0">Trailer</h2>
                <a class="button-css text-white" href="{{ route('trailers.create') }}">New Trailer</a>
            </div>
            <div class="card-body">
                <table id="example" class="table table-bordered dt-responsive nowrap table-striped align-middle"
                    style="width:100%">
                    <thead>
                        <tr>
                            <th scope="col" style="width: 10px;">
                                #
                            </th>
                            <th>Unit</th>
                            <th>Type</th>
                            <th>Vin</th>
                            <th>Year</th>
                            <!-- <th>Make</th>              -->
                            <!-- <th>Model</th>              -->
                            <!-- <th>Driver</th>              -->
                            <!-- <th>Plate</th>              -->
                            <!-- <th>Plate State</th>              -->
                            <th>Ownership</th>
                            <!-- <th>Purchase Date</th>              -->
                            <!-- <th>Purchase Price</th>              -->
                            <th>Notes</th>
                            <th>History</th>
                            <th>Status</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach( $trailers as $key=>$trailer )
                            <tr>
                                <th scope="row">
                                    {{ $key + 1 }}
                                </th>
                                <td>{{ $trailer->unit }}</td>
                                <td>{{ $trailer->type }}</td>
                                <td>{{ $trailer->vin }}</td>
                                <td>{{ $trailer->year }}</td>
                                <!-- <td>{{ $trailer->make }}</td> -->
                                <!-- <td>{{ $trailer->model }}</td> -->
                                <!-- <td>{{ $trailer->driver }}</td> -->
                                <!-- <td>{{ $trailer->plate }}</td> -->
                                <!-- <td>{{ $trailer->plate_state }}</td> -->
                                <td>{{ $trailer->ownership_type }}</td>
                                <!-- <td>{{ $trailer->purchase_date }}</td> -->
                                <!-- <td>{{ $trailer->purchase_price }}</td> -->
                                <td>{{ $trailer->notes }}</td>
                                <td>{{ $trailer->history }}</td>
                                <td>
                                    <div class="dropdown d-inline-block">
                                        <button class="btn btn-soft-secondary btn-sm dropdown-toggle" type="button"
                                            data-bs-toggle="dropdown" aria-expanded="false">
                                            <i class="ri-more-2-fill align-middle"></i>
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-end" style="">
                                            <li><a href="{{ route('trailers.edit', $trailer->id) }}"
                                                    class="dropdown-item"><i
                                                        class="ri-pencil-fill align-bottom me-2 text-muted"></i>
                                                    Edit</a></li>
                                            <li>
                                                <form
                                                    action="{{ route('trailers.destroy', $trailer->id) }}"
                                                    method="POST" class="dropdown-item">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button onclick="return confirm('Are you sure you want to delete this record?')" type="submit" class="btn btn-link">
                                                        <i class="ri-delete-bin-fill align-bottom me-2 text-muted"></i>
                                                        Delete
                                                    </button>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>

                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>



@endsection
@section('script')
<script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
