@extends('layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header d-flex justify-content-between">
                    <h2 class="mb-0">Truck</h2>
                    <a class="button-css text-white" href="{{ route('trucks.create') }}">New Truck</a>
                </div>

                <div class="card-body">
                    <table id="example" class="table table-bordered dt-responsive nowrap table-striped align-middle"
                        style="width:100%">
                        <thead>
                            <tr>
                                <th scope="col" style="width: 10px;">
                                    #
                                </th>
                                <th data-ordering="false">Unit</th>
                                <th data-ordering="false">Vin</th>
                                <th data-ordering="false">ELD PROVIDER</th>
                                <th data-ordering="false">ELD ID</th>
                                <th data-ordering="false">Year</th>
                                <!-- <th data-ordering="false">Make</th> -->
                                <!-- <th data-ordering="false">Model</th> -->
                                <th data-ordering="false">Ownership</th>
                                <th>Status</th>

                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($trucks as $key=>$truck)
                                <tr>
                                    <th scope="row">
                                        {{ $key + 1 }}
                                    </th>
                                    <td>{{ $truck->unit }}</td>
                                    <td>{{ $truck->vin }}</td>
                                    <td>{{ $truck->eld_provider }}</td>
                                    <td>{{ $truck->eld_id }}</td>
                                    <td>{{ $truck->year }}</td>
                                    <!-- <td>{{ $truck->make }}</td> -->
                                    <!-- <td>{{ $truck->model }}</td> -->
                                    <td>{{ $truck->ownership }}</td>
                                    <td>
                                        <div class="dropdown d-inline-block">
                                            <button class="btn btn-soft-secondary btn-sm dropdown-toggle" type="button"
                                                data-bs-toggle="dropdown" aria-expanded="false">
                                                <i class="ri-more-2-fill align-middle"></i>
                                            </button>
                                            <ul class="dropdown-menu dropdown-menu-end" style="">
                                                <!-- <li><a href="{{ route('trucks.show', $truck->id) }}"
                                                                    class="dropdown-item"><i
                                                                        class="ri-eye-fill align-bottom me-2 text-muted"></i>
                                                                    View</a></li> -->
                                                <li><a href="{{ route('trucks.edit', $truck->id) }}"
                                                        class="dropdown-item"><i
                                                            class="ri-pencil-fill align-bottom me-2 text-muted"></i>
                                                        Edit</a></li>
                                                <li>
                                                    <form action="{{ route('trucks.destroy', $truck->id) }}" method="POST"
                                                        class="dropdown-item">
                                                        @csrf
                                                        @method('DELETE')
                                                        <button
                                                            onclick="return confirm('Are you sure you want to delete this record?')"
                                                            type="submit" class="btn btn-link">
                                                            <i class="ri-delete-bin-fill align-bottom me-2 text-muted"></i>
                                                            Delete
                                                        </button>
                                                    </form>
                                                </li>
                                            </ul>
                                        </div>

                                    </td>
                                </tr>
                            @endforeach
                        </tbody>

                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script src="{{ URL::asset('build/js/app.js') }}"></script>
@endsection
