<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Api\DriverController;
use App\Http\Controllers\Api\ProfileController;
use App\Http\Controllers\Api\LoginRegisterController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->group( function () {
    Route::post('/logout', [LoginRegisterController::class, 'logout']);
    Route::get('/profile',[ProfileController::class, 'show']);
    Route::post('/profile-update',[ProfileController::class,'update']);
    Route::get('/get-driver-load' ,[DriverController::class,'getDriverLoads']);
    Route::post('/load-status-update/{id}',[DriverController::class, 'loadStatusUpdate']);
    Route::post('/update-load-location/{id}',[DriverController::class, 'updateLoadLocation']);
});
Route::post('/login',[LoginRegisterController::class,'login']);
